package com.tofly.api;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.Syschildcode;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @author FlashWJL
 * @date 2021/3/23 13:26
 */
@FeignClient(name = "tofly-base",contextId="CodeClient")
public interface CodeClient {

    /**
     * 根据子级编码ID查询编码名称
     * 后期删除，下面有根据子级编码信息查询
     * @param id
     * @return
     */
    @GetMapping("/syscommoncode/getname")
    String getname(@RequestParam(value = "id") Long id);

    /**
     * 根据子级条件获取子级code信息
     * @param code
     * @return
     */
    @PostMapping("/syscommoncode/getChild")
    ResultRespone getChild(@RequestBody Syschildcode code);

    /**
     * 根据子级条件获取子级code信息
     * @return
     */
    @GetMapping("/syscommoncode/all")
    ResultRespone getAll();

    /**
     * 根据子级条件获取子级code信息
     * @return
     */
    @GetMapping("/syscommoncode/fj")
    ResultRespone getfj();

    /**
     * 根据父级多个ID查看所有子级
     * @return
     */
    @GetMapping("/syscommoncode/getByfjId")
    ResultRespone getBylistPcid(@RequestParam("pCid") String pid);
}

