/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @author wangjian
 * @date Tue Jul 07 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_SYSTEM_X", resultMap = "baseSysMap")
@KeySequence("TF_SMPN_SYSTEM_X")
@ApiModel
public class BaseSys extends Model<BaseSys> {
    private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 子系统id
     */
    @ApiModelProperty(value = "子系统id")
    private String sysid;
    /**
     * 子系统名称
     */
    @ApiModelProperty(value = "子系统名称")
    private String sysname;

    @ApiModelProperty(value = "子系统类型")
    private String type;

    @ApiModelProperty(value = "系统备注")
    private String notes;

    @ApiModelProperty(value = "路径")
    private String path;

}
