package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/11/4 10:14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SMPN_FTPFILES_X",resultMap = "ftpfilesMap")
@KeySequence("TF_SMPN_FTPFILES_X")
@ApiModel
public class Ftpfiles extends Model<Ftpfiles> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 关联表主键
     */
    @ApiModelProperty(value = "关联表主键")
    private Long tableId;
    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileType;
    /**
     * 文件相对存放路径（FTP路径）
     */
    @ApiModelProperty(value = "文件相对存放路径（FTP路径）")
    private String filePath;
    /**
     * 文件大小
     */
    @ApiModelProperty(value = "文件大小")
    private Long fileLength;
    /**
     * 是否做FTP处理
     */
    @ApiModelProperty(value = "是否做FTP处理")
    private String ftpState;
    /**
     * 应用名称
     */
    @ApiModelProperty(value = "应用名称")
    private String appName;
    /**
     * 缩略图名称
     */
    @ApiModelProperty(value = "缩略图名称")
    private String thumbName;
    /**
     * 缩略图路径
     */
    @ApiModelProperty(value = "缩略图路径")
    private String thumbPath;
    /**
     * 原始名称
     */
    @ApiModelProperty(value = "原始名称")
    private String originalName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * pdf文件路径
     */
    @ApiModelProperty(value = "pdf文件路径")
    private String pdfPath;
    /**
     * PDF文件名称
     */
    @ApiModelProperty(value = "PDF文件名称")
    private String pdfFileName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建用户
     */
    @ApiModelProperty(value = "创建用户")
    @TableField(value = "USER_ID",fill = FieldFill.INSERT)
    private Long userId;

}
