/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 职位表
 *
 * @author wangjian
 * @date Tue Dec 03 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_POSITION_X",resultMap = "positionMap")
@KeySequence("TF_SMPN_POSITION_X")
@ApiModel
public class Position extends Model<Position> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "唯一ID")
            private Long id;
//        /**
//     * 职位名称
//     */
//        @ApiModelProperty(value = "职位名称")
//            private String name;
        /**
     * 职位类别， 1 一级审核，2 二级审核，3，三级审核， 9 普通员工
     */
        @ApiModelProperty(value = "职位类别")
            private String category;
//        /**
//     * 是否部门负责人  0 不是，1是
//     */
//        @ApiModelProperty(value = "是否部门负责人  0 不是，1是")
//            private String head;
//        /**
//     * 是否为部门审核人
//     */
//        @ApiModelProperty(value = "是否为部门审核人")
//            private String deptaudit;
        /**
     * 部门ID
     */
        @ApiModelProperty(value = "部门ID")
            private Long departmentId;
        /**
     * 用户ID
     */
        @ApiModelProperty(value = "用户ID")
        private Long userId;

        /**
         * 创建人
         */
        @ApiModelProperty(value = "创建人")
        @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;

        /**
         * 创建日期
         */
        @ApiModelProperty(value = "创建日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
        @TableField(value = "CREATE_DATE",fill = FieldFill.INSERT)
        private Date createDate;

//        @TableField(exist = false)
//        private Code position;

        @TableField(exist = false)
        private String pname;
    
}
