/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 系统资源配置字典表
 *修改后（服务类型表）
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_SOURCETYPE_X")
@KeySequence("TF_SMPN_SOURCETYPE_X")
@ApiModel
public class Sourcedic extends Model<Sourcedic> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
            private Long id;
        /**
     * 资源名称
     */
        @ApiModelProperty(value = "资源名称")
        @TableField(condition = ToflySqlCondition.LIKE)
            private String name;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 创建用户
     */
        @ApiModelProperty(value = "创建用户")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
        /**
     * 资源编码
     */
        @ApiModelProperty(value = "资源编码")
        @TableField(condition = ToflySqlCondition.LIKE)
            private String code;
        /**
     * 资源类型
     */
        @ApiModelProperty(value = "资源类型")
        @TableField(condition = ToflySqlCondition.LIKE)
            private String type;

    /**
     * 路劲
     */
    @ApiModelProperty(value = "路径")
    private String path;
    
}
