/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 用户许可表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_USERPERMISSION_X")
@KeySequence("TF_SMPN_USERPERMISSION_X")
@ApiModel
public class Userpermission extends Model<Userpermission> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "ID")
            private Long id;
        /**
     * 用户ID
     */
        @ApiModelProperty(value = "用户ID")
        @TableField(value = "USER_ID",fill = FieldFill.INSERT)
            private Long userid;
        /**
     * 期限  1永久 2 一个月 3一季度 4一年 5 自定义
     */
        @ApiModelProperty(value = "期限  1永久 2 一个月 3一季度 4一年 5 自定义")
            private String timelimit;
        /**
     * 开始时间
     */
        @ApiModelProperty(value = "开始时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            private Date startdate;
        /**
     * 到期时间
     */
        @ApiModelProperty(value = "到期时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            private Date enddate;
        /**
     * 创建人
     */
        @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            private Date createtime;
        /**
     * 标志
     */
        @ApiModelProperty(value = "标志")
            private String efftive;
        /**
     * 终止时间
     */
        @ApiModelProperty(value = "终止时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            private Date stoptime;
        /**
     * 终止人
     */
        @ApiModelProperty(value = "终止人")
            private Long stopuser;
    
}
