/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.xrtygis.entity.TfMsgPersonManage;
import com.tofly.xrtygis.entity.dto.TfMsgPushManageDto;
import com.tofly.xrtygis.service.TfMsgPersonManageService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 信息资讯推送人员管理
 *
 * @author JF
 * @date Sun Jul 03 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfmsgpersonmanage")
@Api(tags="信息资讯推送人员管理接口")
public class TfMsgPersonManageController {

    private final  TfMsgPersonManageService tfMsgPersonManageService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param tfMsgPersonManage 信息资讯推送人员管理
//    * @return
//    */
//    @ToFlyAppLog(title="分页查询" )
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getTfMsgPersonManagePage(Page page, @ModelAttribute TfMsgPersonManage tfMsgPersonManage) {
//      return ResultRespone.success(tfMsgPersonManageService.page(page, Wrappers.query(tfMsgPersonManage)));
//    }

    /**
     * 待办列表查询
     *
     * @param dto 信息资讯推送人员管理Dto
     * @return
     */
    @ToFlyAppLog(title="待办列表查询" )
    @GetMapping("/getNeedDoMsgPersonManage" )
    @ApiOperation(value = "待办列表查询")
    public ResultRespone getNeedDoMsgPersonManage(TfMsgPushManageDto dto) {
        dto.setSendStatus("0");
        return ResultRespone.success(tfMsgPersonManageService.getMsgPersonInfoList(dto));
    }


//    /**
//     * 通过id查询信息资讯推送人员管理
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过ID查询" )
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(tfMsgPersonManageService.getById(id));
//    }

//    /**
//     * 新增信息资讯推送人员管理
//     * @param tfMsgPersonManage 信息资讯推送人员管理
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增信息资讯推送人员管理" )
//    @ApiOperation(value = "新增信息资讯推送人员管理")
//    @PostMapping
//    public ResultRespone save(TfMsgPersonManage tfMsgPersonManage) {
//      return ResultRespone.success(tfMsgPersonManageService.save(tfMsgPersonManage));
//    }

//    /**
//     * 修改信息资讯推送人员管理
//     * @param tfMsgPersonManage 信息资讯推送人员管理
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改信息资讯推送人员管理" )
//    @ApiOperation(value = "修改信息资讯推送人员管理")
//    @PutMapping
//    public ResultRespone updateById(TfMsgPersonManage tfMsgPersonManage) {
//      return ResultRespone.success(tfMsgPersonManageService.updateById(tfMsgPersonManage));
//    }

//    /**
//     * 通过id删除信息资讯推送人员管理
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除信息资讯推送人员管理" )
//    @ApiOperation(value = "通过ID删除信息资讯推送人员管理")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(tfMsgPersonManageService.removeById(id));
//    }

//    /**
//     * 通过id批量删除信息资讯推送人员管理
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除信息资讯推送人员管理" )
//    @ApiOperation(value = "通过ID批量删除信息资讯推送人员管理")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(tfMsgPersonManageService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
