package com.tofly.xrtygis.custom.entity.dataquery;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/5/11 20:47
 */
@Data
public class WaterPlan {
    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 年份记录表ID，关联表TF_YWPN_COSTBGWATERYEAR_W关键值
     */
    @ApiModelProperty(value = "年份记录表ID，关联表TF_YWPN_COSTBGWATERYEAR_W关键值")
    private Long yearId;
    /**
     * 年月，如2021-01
     */
    @ApiModelProperty(value = "年月，如2021-01")
    private String month;
    /**
     * 一厂供水量（万m³）
     */
    @ApiModelProperty(value = "一厂供水量（万m³）")
    private Double gslOne;
    /**
     * 二厂供水量（万m³）
     */
    @ApiModelProperty(value = "二厂供水量（万m³）")
    private Double gslTwo;
    /**
     * 青白江转供水（万m³）
     */
    @ApiModelProperty(value = "青白江转供水（万m³）")
    private Double gslQbj;
    /**
     * 总供水量（万m³）
     */
    @ApiModelProperty(value = "总供水量（万m³）")
    private Double gslTotal;
    /**
     * 一厂制水量（万m³）
     */
    @ApiModelProperty(value = "一厂制水量（万m³）")
    private Double zslOne;
    /**
     * 二厂制水量（万m³）
     */
    @ApiModelProperty(value = "二厂制水量（万m³）")
    private Double zslTwo;
    /**
     * 红旗水库制水量（万m³）
     */
    @ApiModelProperty(value = "红旗水库制水量（万m³）")
    private Double zslHqsk;
    /**
     * 总制水量（万m³）
     */
    @ApiModelProperty(value = "总制水量（万m³）")
    private Double zslTotal;
    /**
     * 总售水量（万m³）
     */
    @ApiModelProperty(value = "总售水量（万m³）")
    private Double sslTotal;
    /**
     * 一厂自用水量（万m³）
     */
    @ApiModelProperty(value = "一厂自用水量（万m³）")
    private Double zyslOne;
    /**
     * 二厂自用水量（万m³）
     */
    @ApiModelProperty(value = "二厂自用水量（万m³）")
    private Double zyslTwo;
    /**
     * 总自用水量（万m³）
     */
    @ApiModelProperty(value = "总自用水量（万m³）")
    private Double zyslTotal;
    /**
     * 一厂自用水率（%）
     */
    @ApiModelProperty(value = "一厂自用水率（%）")
    private Double zysllOne;
    /**
     * 二厂自用水率（%）
     */
    @ApiModelProperty(value = "二厂自用水率（%）")
    private Double zysllTwo;
    /**
     * 总自用水率（%）
     */
    @ApiModelProperty(value = "总自用水率（%）")
    private Double zysllTotal;
    /**
     * 未上盘水量（万m³）
     */
    @ApiModelProperty(value = "未上盘水量（万m³）")
    private Double wspsl;
    /**
     * 产销差（%）
     */
    @ApiModelProperty(value = "产销差（%）")
    private Double cxc;
    /**
     * 漏损率（%）
     */
    @ApiModelProperty(value = "漏损率（%）")
    private Double lsl;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
}
