package com.tofly.xrtygis.custom.entity.dma;

import com.tofly.xrtygis.entity.Dmaandobser;
import com.tofly.xrtygis.entity.Dmaregion;
import com.tofly.xrtygis.entity.TfDeviceArchiveManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 添加分区实体类
 * @author FlashWJL
 * @date 2021/3/29 15:44
 */
@Data
public class CustomPartition extends Dmaregion {
    /**
     * 接收客户信息字符串，之后转bean
     */
    @ApiModelProperty(value = "分区客户信息字符串")
    private String clientInfo;
    /**
     * 接收管线信息字符串，之后转bean
     */
    @ApiModelProperty(value = "管线信息字符串")
    private String pipeline;
    @ApiModelProperty(hidden = true)
    private List<CustomPartition> partitionList=new ArrayList<>();

    @ApiModelProperty(hidden = true,value = "设备绑定id列表")
    private List<Long> deviceIdList;

    @ApiModelProperty(hidden = true,value = "区域观察表信息列表")
    private List<Dmaandobser> dmaandobserList;

}
