package com.tofly.xrtygis.custom.entity.scada;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 流量采集数据记录历史信息：TF_INDEX_DEVICE_HISTORY_VIEW
 *
 * @author JF
 * @date
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel
public class IndexDeviceHistory extends Model<IndexDeviceHistory> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 指标编号
     */
    @ApiModelProperty(value = "指标编号")
    private String indexCode;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
    /**
     * 瞬时流量（m3/h）
     */
    @ApiModelProperty(value = "瞬时流量（m3/h）")
    private Double flowRate;
    /**
     * 累计流量（m3）
     */
    @ApiModelProperty(value = "累计流量（m3）")
    private Long totalFlow;
    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date collectTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
}
