package com.tofly.xrtygis.custom.mapper;

import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 陈浩
 * @date 2021/4/17
 */
public interface ExportAboutMapper {
    /**
     * 按时间段查询历史记录
     *
     * @param itcd  指标编号
     * @param start 开始时间
     * @param end   结束时间
     * @return List<Map < String, Object>>
     */
    List<Map> selectHistory(@Param("itcd") String itcd, @Param("start") String start, @Param("end") String end);

    /**
     * 按日查看取供水趋势
     *
     * @param wiItcd    取水量
     * @param wsItcd    供水量
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return list
     */
    List<Map> viewWaterInfoByDay(@Param("wiItcd") String wiItcd, @Param("wsItcd") String wsItcd, @Param("startTime") String startTime, @Param("endTime") String endTime);

    /**
     * 按月查看取供水趋势
     *
     * @param wiItcd    取水量
     * @param wsItcd    供水量
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return list
     */
    List<Map> viewWaterInfoByMonth(@Param("wiItcd") String wiItcd, @Param("wsItcd") String wsItcd, @Param("startTime") String startTime, @Param("endTime") String endTime);

    /**
     * 同期数据对比
     *
     * @param wiItcd    取水量
     * @param wsItcd    供水量
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return page
     */
    List<Map> viewWaterContrast(@Param("wiItcd") String wiItcd, @Param("wsItcd") String wsItcd, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("month") String month);

}
