package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Costbgprice;

/**
 * 预算指标单价
 *
 * @author 陈浩
 * @date 2021/3/22
 */
public interface CustomPricePlanService {
    /**
     * 添加计划
     *
     * @param costbgprice 预算指标单价信息
     * @return boolean
     */
    boolean insetPricePlan(Costbgprice costbgprice);

    /**
     * 查询最新单价
     * @param page page
     * @param year 年份
     * @return page
     */
    Page viewNewPlan(Page page,String year);

    /**
     * 查看历史记录信息
     * @param page page
     * @param year 年份
     * @param start 开始时间
     * @param end 结束时间
     * @return page
     */
    Page viewHistoryPlan(Page page,String year,String start,String end);

    /**
     * 删除计划
     *
     * @param id 计划id
     * @return true
     */
    boolean deletePlan(String id);

    /**
     * 修改计划
     * @param costbgprice 预算指标单价信息表
     * @return true of false
     */
    boolean updatePlan(Costbgprice costbgprice);

}
