package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dto.TheMapDto;

import java.util.List;
import java.util.Map;

/**
 * 综合展示-专题图
 *
 * @author 陈浩
 * @date 2021/4/15
 */
public interface CustomTheMapService {


    /**
     * 获取全部片区某时间段用水量
     *
     * @param  page page
     * @param year 年份
     * @param startMon 开始月份
     * @param endMon 结束月份
     * @return page
     */
    Page getAllAreaWater(Page page,String year, String startMon , String endMon);


    /**
     * 获取同期水量
     * @param page page
     * @param startyear 开始年份
     * @param endYear 结束年份
     * @param month 月份
     * @return page
     */
    Page areaComparison(Page page, String startyear, String endYear, String month);

    /**
     * 水压水质专题图相关
     *
     * @param tycd  归集id
     * @param start 开始时间
     * @param end   结束时间
     * @return list
     */
    Map<Long, List<Double>> viewWaterTheMap(String tycd, String start, String end);

    /**
     * 查询测站信息
     * @return list
     */
    List<TheMapDto> viewStationInfo(String tycd,String start,String end);

    /**
     * 查询片区用水量
     * @param level 等级
     * @param year 年份
     * @param month 月份
     * @return map
     */
    Map<Long,Object> getAreaWater(String level,String year,String month);
}
