/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 预算指标单价信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTBGPRICE_W", resultMap = "costbgpriceMap")
@KeySequence("TF_YWPN_COSTBGPRICE_W")
@ApiModel
public class Costbgprice extends Model<Costbgprice> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * PAC（元/kg）
     */
    @ApiModelProperty(value = "PAC（元/吨）")
    private Double pacdj;
    /**
     * YLDJ	液氯（元/kg）
     */
    @ApiModelProperty(value = "YLDJ	液氯（元/吨）")
    private Double yldj;
    /**
     * 制水PAM（元/kg）
     */
    @ApiModelProperty(value = "制水PAM（元/kg）")
    private Double pamZsdj;
    /**
     * 污泥PAM（元/kg）
     */
    @ApiModelProperty(value = "污泥PAM（元/kg）")
    private Double pamWndj;
    /**
     * 粉碳（元/kg）
     */
    @ApiModelProperty(value = "粉碳（元/吨）")
    private Double ftdj;
    /**
     * 次钠（元/kg）
     */
    @ApiModelProperty(value = "次钠（元/吨）")
    private Double cndj;
    /**
     * 高锰酸钾复合盐（元/kg）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（元/吨）")
    private Double gmsjfhydj;
    /**
     * 食盐（元/kg）
     */
    @ApiModelProperty(value = "食盐（元/吨）")
    private Double sydj;
    /**
     * 动力电单价（一厂）（元/kg）
     */
    @ApiModelProperty(value = "动力电单价（一厂）（元/kwh）")
    private Double dlddjOne;
    /**
     * 动力电单价（二厂）（元/kg）
     */
    @ApiModelProperty(value = "动力电单价（二厂）（元/kwh）")
    private Double dlddjTwo;
    /**
     * 污泥转运单价（元/m³）
     */
    @ApiModelProperty(value = "污泥转运单价（元/吨）")
    private Double wnzydj;
    /**
     * 原水费单价（元/m³）
     */
    @ApiModelProperty(value = "原水费单价（元/m³）")
    private Double ysfdj;
    /**
     * 水资源税单价（元/m³）
     */
    @ApiModelProperty(value = "水资源税单价（元/m³）")
    private Double szysdj;
    /**
     * 冰醋酸（元/kg）
     */
    @ApiModelProperty(value = "冰醋酸（元/kg）")
    private Double bcsdj;
    /**
     * 是否为最新单价，1是，0否
     */
    @ApiModelProperty(value = "是否为最新单价，1是，0否")
    private String snew;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty("转供水单价-青白江（元/m³）")
    private Double qbjzgdj;

    @ApiModelProperty(value = "碱铝固体单价")
    private Double pac2dj;

    @ApiModelProperty("其他")
    private Double otherdj;

    @ApiModelProperty("基本电量单价一")
    private Double jbdldjOne;

    @ApiModelProperty("基本电量单价二")
    private Double jbdldjTwo;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("填报时间")
    private Date upDate;
}
