/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 自定义指标修正记录表
 *
 * @author admin
 * @date Thu Apr 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CUSTOMIZE_W", resultMap = "customizeMap")
@KeySequence("TF_YWPN_CUSTOMIZE_W")
@ApiModel
public class Customize extends Model<Customize> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 修正日期
     */
    @ApiModelProperty(value = "修正日期")
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reviseDate;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long dmaId;
    /**
     * DMA编码
     */
    @ApiModelProperty(value = "DMA编码")
    private String dmaCode;
    /**
     * DMA分区名称
     */
    @ApiModelProperty(value = "DMA分区名称")
    private String dmaName;

    @ApiModelProperty(value = "分区级别")
    private Integer dmaLevel;

    @ApiModelProperty(value = "分区级别名称")
    @TableField(exist = false)
    private String dmaLevelName;
    /**
     * 自定义漏损率修正系数
     */
    @ApiModelProperty(value = "自定义漏损率修正系数")
    private BigDecimal leakCorrectionFactor;
    /**
     * 修正前漏损率
     */
    @ApiModelProperty(value = "当前漏损率")
    private BigDecimal beforLeak;
    /**
     * 修正后漏损率
     */
    @ApiModelProperty(value = "修正后漏损率")
    private BigDecimal afterLeak;
    /**
     * 自定义漏损率修正系数
     */
    @ApiModelProperty(value = "自定义漏损率修正系数")
    private BigDecimal cxcCorrectionFactor;
    /**
     * 修正前漏损率
     */
    @ApiModelProperty(value = "当前产销差")
    private BigDecimal beforCxc;
    /**
     * 修正后漏损率
     */
    @ApiModelProperty(value = "修正后产销差")
    private BigDecimal afterCxc;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.UPDATE)
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String updateUserName;

    @ApiModelProperty(value = "查询修正开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date selStartTime;
    @ApiModelProperty(value = "查询修正截止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date selEndTime;

}
