/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 多因子浓度配置信息表
 *
 * @author admin
 * @date Mon Jul 12 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DENSITYCONFIG_W", resultMap = "densityconfigMap")
@KeySequence("TF_YWPN_DENSITYCONFIG_W")
@ApiModel
public class Densityconfig extends Model<Densityconfig> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * pac浓度（%）
     */
    @ApiModelProperty(value = "pac浓度（%）")
    private Double pacNd;
    /**
     * 高锰酸钾浓度（%）
     */
    @ApiModelProperty(value = "高锰酸钾浓度（%）")
    private Double gmsjNd;
    /**
     * pam浓度（‰ ）
     */
    @ApiModelProperty(value = "pam浓度（‰ ）")
    private Double pamNd;

}
