/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * DMA分区与设备信息关联
 *
 * @author admin
 * @date Thu May 19 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DMA_DEVICE_ASSOCIATION", resultMap = "dmaDeviceAssociationMap")
@KeySequence("TF_DMA_DEVICE_ASSOCIATION")
@ApiModel
public class DmaDeviceAssociation extends Model<DmaDeviceAssociation> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 分区id
     */
    @ApiModelProperty(value = "分区id")
    private Long dmaId;
    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private Long deviceId;

}
