/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * DMA统计参数记录表
 *
 * @author admin
 * @date Wed May 18 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DMA_STATISTICAL", resultMap = "dmaStatisticalMap")
@KeySequence("TF_DMA_STATISTICAL")
@ApiModel
public class DmaStatistical extends Model<DmaStatistical> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * DMA分区id
     */
    @ApiModelProperty(value = "DMA分区id")
    private Long dmaId;
    /**
     * 统计时间(月份)
     */
    @ApiModelProperty(value = "统计时间(月份)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date statisticalDate;
    @ApiModelProperty(value = "计费用水量")
    private BigDecimal billingWaterVolume;

    @ApiModelProperty(value = "计费计量用水量")
    private BigDecimal measureVolume;

    @ApiModelProperty(value = "计费未计量用水量")
    private BigDecimal notMeasureVolume;

    /**
     * 免费用水量
     */
    @ApiModelProperty(value = "免费用水量")
    private BigDecimal freeWaterVolume;

    @ApiModelProperty(value = "免费计量用水量")
    private BigDecimal freeMeasureVolume;

    @ApiModelProperty(value = "免费未计量用水量")
    private BigDecimal notFreeMeasureVolume;
    /**
     * 漏失水量
     */
    @ApiModelProperty(value = "漏失水量")
    private BigDecimal outflowWaterVolume;

    @ApiModelProperty(value = "明漏水量")
    private BigDecimal obviousOutflowVolume;

    @ApiModelProperty(value = "暗漏水量")
    private BigDecimal darkOutflowVolume;

    @ApiModelProperty(value = "背景漏失水量")
    private BigDecimal backgroundOutflowVolume;

    @ApiModelProperty(value = "水箱、水池的渗漏和溢流水量")
    private BigDecimal otherOutflowVolume;
    /**
     * 计量损失水量
     */
    @ApiModelProperty(value = "计量损失水量")
    private BigDecimal lossWaterVolume;

    @ApiModelProperty(value = "居民用户总分表差损失水量")
    private BigDecimal userLossVolume;

    @ApiModelProperty(value = "非居民用户表具误差损失水量")
    private BigDecimal notUserLossVolume;
    /**
     * 其他损失水量
     */
    @ApiModelProperty(value = "其他损失水量")
    private BigDecimal otherWaterVolume;
    /**
     * 远传表供水量
     */
    @ApiModelProperty(value = "远传表供水量")
    private BigDecimal remoteWater;
    /**
     * 漏损率
     */
    @ApiModelProperty(value = "漏损率")
    private BigDecimal leakageRate;
    /**
     * 产销差
     */
    @ApiModelProperty(value = "产销差")
    private BigDecimal poorProductionRate;
    /**
     * 供水量
     */
    @ApiModelProperty(value = "供水量(scada供水量+远传表供水量)")
    private BigDecimal waterSupply;
    /**
     * 用户用水量
     */
    @ApiModelProperty(value = "用户用水量")
    private BigDecimal userWater;
    /**
     * 处漏数量
     */
    @ApiModelProperty(value = "处漏数量")
    private BigDecimal leakageOverVal;
    /**
     * 漏点数量
     */
    @ApiModelProperty(value = "漏点数量")
    private BigDecimal leakageVal;

    @ApiModelProperty(value = "DMA分区的 DN75（含）以上管道长度 总长 km")
    private BigDecimal dnLengthVal;

    @ApiModelProperty(value = "DMA分区的 年平均压力")
    private BigDecimal yearPressureVal;

    @ApiModelProperty(value = "计划巡检里程（m）(不区分DMA分区,这里是总的)")
    private BigDecimal totalPlanPipeLength;

    @ApiModelProperty(value = "有效里程（m）(不区分DMA分区,这里是总的)")
    private BigDecimal planTotalDistanceLength;

}
