/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * DMA分区未上盘水量数据填报记录表
 *
 * @author admin
 * @date Tue May 17 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DMA_UNFILLED_WATER", resultMap = "dmaUnfilledWaterMap")
@KeySequence("TF_DMA_UNFILLED_WATER")
@ApiModel
public class DmaUnfilledWater extends Model<DmaUnfilledWater> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 填报日期
     */
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date writeDate;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String writeDateDis;
    /**
     * dma分区id
     */
    @ApiModelProperty(value = "dma分区id")
    private Long dmaId;

    @ApiModelProperty(value = "DMA编码")
    private String dmaCode;
    /**
     * DMA分区名称
     */
    @ApiModelProperty(value = "DMA分区名称")
    private String dmaName;

    @ApiModelProperty(value = "分区级别")
    private Integer dmaLevel;

    @ApiModelProperty(value = "分区级别名称")
    @TableField(exist = false)
    private String dmaLevelName;
    /**
     * 计费用水量
     */
    @ApiModelProperty(value = "计费用水量")
    private BigDecimal billingWaterVolume;

    @ApiModelProperty(value = "计费计量用水量")
    private BigDecimal measureVolume;

    @ApiModelProperty(value = "计费未计量用水量")
    private BigDecimal notMeasureVolume;

    /**
     * 免费用水量
     */
    @ApiModelProperty(value = "免费用水量")
    private BigDecimal freeWaterVolume;

    @ApiModelProperty(value = "免费计量用水量")
    private BigDecimal freeMeasureVolume;

    @ApiModelProperty(value = "免费未计量用水量")
    private BigDecimal notFreeMeasureVolume;
    /**
     * 漏失水量
     */
    @ApiModelProperty(value = "漏失水量")
    private BigDecimal outflowWaterVolume;

    @ApiModelProperty(value = "明漏水量")
    private BigDecimal obviousOutflowVolume;

    @ApiModelProperty(value = "暗漏水量")
    private BigDecimal darkOutflowVolume;

    @ApiModelProperty(value = "背景漏失水量")
    private BigDecimal backgroundOutflowVolume;

    @ApiModelProperty(value = "水箱、水池的渗漏和溢流水量")
    private BigDecimal otherOutflowVolume;
    /**
     * 计量损失水量
     */
    @ApiModelProperty(value = "计量损失水量")
    private BigDecimal lossWaterVolume;

    @ApiModelProperty(value = "居民用户总分表差损失水量")
    private BigDecimal userLossVolume;

    @ApiModelProperty(value = "非居民用户表具误差损失水量")
    private BigDecimal notUserLossVolume;
    /**
     * 其他损失水量
     */
    @ApiModelProperty(value = "其他损失水量")
    private BigDecimal otherWaterVolume;

    /**
     * 填报人员
     */
    @ApiModelProperty(value = "填报人员")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.UPDATE)
    private Date updateTime;
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.UPDATE)
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String updateUserName;


    @ApiModelProperty(value = "查询上报开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startTime;

    @ApiModelProperty(value = "查询上报结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endTime;
}
