/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * DMA分区与观察表关系信息表：TF_YWPN_DMAANDOBSER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAANDOBSER_W", resultMap = "dmaandobserMap")
@KeySequence("TF_YWPN_DMAANDOBSER_W")
@ApiModel
public class Dmaandobser extends Model<Dmaandobser> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 所属片区ID
     */
    @ApiModelProperty(value = "所属片区ID")
    private Long dmaId;
    /**
     * 表ID
     */
    @ApiModelProperty(value = "表ID 计量表id")
    private Long tableId;

    @ApiModelProperty(value = "区域观察表名称")
    @TableField(exist = false)
    private String tableName;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    @TableField(exist = false)
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    @TableField(exist = false)
    private Double lttd;
    /**
     * 0：入口；1：出口
     */
    @ApiModelProperty(value = "0：入口；1：出口")
    private String isout;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isoutName;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
