/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 分区水量月产销差数据表
 *
 * @author wangjieliu
 * @date Mon May 24 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_DMAMONTHFLOW_W",resultMap = "dmamonthflowMap")
@KeySequence("TF_YWPN_DMAMONTHFLOW_W")
@ApiModel
public class Dmamonthflow extends Model<Dmamonthflow> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "LID",type= IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private String lid;
    /**
     * 分区ID
     */
    @ApiModelProperty(value = "分区ID")
    private Long dmaId;
    /**
     * 分区名称
     */
    @ApiModelProperty(value = "分区名称")
    private String dmaName;
    /**
     * 入口总水量（单位：m3）
     */
    @ApiModelProperty(value = "入口总水量（单位：m3）")
    private Long inflow;
    /**
     * 出口总水量（单位：m3）
     */
    @ApiModelProperty(value = "出口总水量（单位：m3）")
    private Long outflow;
    /**
     * 供水量（单位：m3）=入口-出口
     */
    @ApiModelProperty(value = "供水量（单位：m3）=入口-出口")
    private Long supplyFlow;
    /**
     * 售水量（单位：m3）
     */
    @ApiModelProperty(value = "售水量（单位：m3）")
    private Long saleFlow;
    /**
     * 产销差量（单位：m3）
     */
    @ApiModelProperty(value = "产销差量（单位：m3）")
    private Long cxc;
    /**
     * 产销差（单位：%，供水量-售水量/供水量*100%）
     */
    @ApiModelProperty(value = "产销差（单位：%，供水量-售水量/供水量*100%）")
    private Float cxcl;
    /**
     * 最小分区总分差范围（%）
     */
    @ApiModelProperty(value = "最小分区总分差范围（%）")
    private Float minDiff;
    /**
     * 最大分区总分差范围（%）
     */
    @ApiModelProperty(value = "最大分区总分差范围（%）")
    private Float maxDiff;
    /**
     * 月份（格式202105）
     */
    @ApiModelProperty(value = "月份（格式202105）")
    private String umonth;
    /**
     * 状态（0=正常，1=超高异常，2=超低异常，9=无数据）
     */
    @ApiModelProperty(value = "状态（0=正常，1=超高异常，2=超低异常，9=无数据）")
    private String usfl;
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String notes;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date utime;

}
