/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 夜间最小流量分析表
 *
 * @author wangjieliu
 * @date Tue May 25 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMANIGHTFLOW_W", resultMap = "dmanightflowMap")
@KeySequence("TF_YWPN_DMANIGHTFLOW_W_SEQ")
@ApiModel
public class Dmanightflow extends Model<Dmanightflow> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流量计仪表ID
     */
    @ApiModelProperty(value = "流量计仪表ID")
    private Long tableId;
    /**
     * 仪表名称
     */
    @ApiModelProperty(value = "仪表名称")
    private String tableName;
    /**
     * 最小流量（单位：m3/h，凌晨02:00-04:00时刻最小瞬时流量）
     */
    @ApiModelProperty(value = "最小流量（单位：m3/h，凌晨02:00-04:00时刻最小瞬时流量）")
    private Double minval;
    /**
     * 最小流量出现时间
     */
    @ApiModelProperty(value = "最小流量出现时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date mintime;
    /**
     * 最小流量对应压力（单位：MPa）
     */
    @ApiModelProperty(value = "最小流量对应压力（单位：MPa）")
    private Double minpval;
    /**
     * 最小流量阈值（单位：m3/h，高于此值则为异常）
     */
    @ApiModelProperty(value = "最小流量阈值（单位：m3/h，高于此值则为异常）")
    private Double tval;
    /**
     * 分析日期
     */
    @ApiModelProperty(value = "分析日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uday;
    /**
     * 分析月份（如：202105）
     */
    @ApiModelProperty(value = "分析月份（如：202105）")
    private String umonth;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date utime;
    /**
     * 状态（0=正常，1=超限异常，9=无数据）
     */
    @ApiModelProperty(value = "状态（0=正常，1=超限异常，9=无数据）")
    private String usfl;
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String notes;

}
