/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * DMA分区客户情况信息表：TF_YWPN_DMAREGIONUSER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAREGIONUSER_W", resultMap = "dmaregionuserMap")
@KeySequence("TF_YWPN_DMAREGIONUSER_W")
@ApiModel
public class Dmaregionuser extends Model<Dmaregionuser> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
//    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 分区ID
     */
    @ApiModelProperty(value = "分区ID")
    private Long dmaId;
    /**
     * 小区类别（1高档、2中档、3拆迁安置）
     */
    @ApiModelProperty(value = "小区类别（1高档、2中档、3拆迁安置）")
    private String villageType;
    @ApiModelProperty(hidden = true)
    private String typeName;
    /**
     * 客户数
     */
    @ApiModelProperty(value = "客户数")
    private Integer userNum;
    /**
     * 户均流浪（m³/h）
     */
    @ApiModelProperty(value = "户均流浪（m³/h）")
    private Double avgFlow;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
