/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工单回访记录表
 *
 * @author wangjieliu
 * @date Mon Jun 28 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDRETURN_W", resultMap = "gdreturnMap")
@KeySequence("TF_YWPN_GDRETURN_W")
@ApiModel
public class Gdreturn extends Model<Gdreturn> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    /**
     * 工单类型ID
     */
    @ApiModelProperty(value = "工单类型ID")
    private Long gdType;
    /**
     * 回访人员ID
     */
    @ApiModelProperty(value = "回访人员ID")
    private Long returnUser;
    /**
     * 回访时间
     */
    @ApiModelProperty(value = "回访时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date returnTime;
    /**
     * 回访描述
     */
    @ApiModelProperty(value = "回访描述")
    private String returnInfo;
    /**
     * 回访满意度；0：不满意；1：一般；2：满意；3：非常满意
     */
    @ApiModelProperty(value = "回访满意度；0：不满意；1：一般；2：满意；3：非常满意")
    private String returnReslut;
    @ApiModelProperty(value = "反映人")
    private String fyr;
    @ApiModelProperty(value = "电话")
    private String phone;
    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String gdlxName ;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String gdReturnUserName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String returnReslutName;


}
