/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * SCADA测站信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SCADASTATION_B", resultMap = "scadastationMap")
@KeySequence("TF_YWPN_SCADASTATION_B")
@ApiModel
public class Scadastation extends Model<Scadastation> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;
    /**
     * 测站编号
     */
    @ApiModelProperty(value = "测站编号")
    private String stcd;
    /**
     * 测站名称
     */
    @ApiModelProperty(value = "测站名称")
    private String stnm;
    /**
     * 经度，单位：
     */
    @ApiModelProperty(value = "经度，单位：")
    private Double lgtd;
    /**
     * 纬度，单位：°
     */
    @ApiModelProperty(value = "纬度，单位：°")
    private Double lttd;
    /**
     * 启用状态，0:禁用，1:启用
     */
    @ApiModelProperty(value = "启用状态，0:禁用，1:启用")
    private String state;
    /**
     * 是否有工艺图，0没有工艺图，1有工艺图
     */
    @ApiModelProperty(value = "是否有工艺图，0没有工艺图，1有工艺图")
    private String iscraft;
    /**
     * 测站负责人ID，关联用户信息
     */
    @ApiModelProperty(value = "测站负责人ID，关联用户信息")
    private String respuserId;

    @TableField(exist = false)
    private List<String> respuserName;

    /**
     * 备注信息
     */
    @ApiModelProperty(value = "备注信息")
    private String notes;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 报警等级
     */
    @ApiModelProperty("报警等级")
    private Long rangeid;

    @ApiModelProperty("归类名称")
    private String categoryName;

    @ApiModelProperty("顺序号")
    private Long sn;

    @ApiModelProperty("管线sid")
    private String pipeSid;

}
