/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;


/**
 * 绩效考核标准管理
 *
 * @author JF
 * @date Fri Mar 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_KPI_STANDARD_MANAGE",resultMap = "tfKpiStandardManageMap")
@KeySequence("TF_KPI_STANDARD_MANAGE")
@ApiModel
public class TfKpiStandardManage extends Model<TfKpiStandardManage> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
            @ApiModelProperty(value = "考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
            @NotNull
                private String assessContent;
                /**
     * 考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
            @ApiModelProperty(value = "考核内容转义（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
            @TableField(exist = false)
                private String assessContentName;
                /**
     * 考核标准（%）
     */
            @ApiModelProperty(value = "考核标准（%）")
            @NotNull
                private String assessStandard;
                /**
     * 考核类型（1按季度,2按年度）
     */
            @ApiModelProperty(value = "考核类型（1按季度,2按年度）")
            @NotNull
                private String assessType;
                /**
     * 考核类型转义（1按季度,2按年度）
     */
            @ApiModelProperty(value = "考核类型转义（1按季度,2按年度）")
            @TableField(exist = false)
                private String assessTypeName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
