/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 损耗统计记录表
 *
 * @author JF
 * @date Mon Jun 20 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_LOSS_CENSUS",resultMap = "tfLossCensusMap")
@KeySequence("TF_LOSS_CENSUS")
@ApiModel
public class TfLossCensus extends Model<TfLossCensus> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 类别（1电耗；2药耗；3消毒剂）
     */
            @ApiModelProperty(value = "类别（1电耗；2药耗；3消毒剂）")
                private String type;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String typeName;
                /**
     * 名称
     */
            @ApiModelProperty(value = "名称")
                private String name;
                /**
     * 填报项（一厂；二厂；全部）
     */
            @ApiModelProperty(value = "填报项（一厂；二厂；全部）")
                private Long fillingType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String fillingTypeName;
                /**
     * 填报周期（月）
     */
            @ApiModelProperty(value = "填报周期（月）")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date fillingDate;
                /**
     * 单位
     */
            @ApiModelProperty(value = "单位")
                private String unit;
                /**
     * 消耗量
     */
            @ApiModelProperty(value = "消耗量")
                private Double expendAmount;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
