/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 信息资讯推送人员管理
 *
 * @author JF
 * @date Sun Jul 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MSG_PERSON_MANAGE",resultMap = "tfMsgPersonManageMap")
@KeySequence("TF_MSG_PERSON_MANAGE")
@ApiModel
public class TfMsgPersonManage extends Model<TfMsgPersonManage> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 信息资讯推送管理ID
     */
            @ApiModelProperty(value = "信息资讯推送管理ID")
                private Long msgPushId;
                /**
     * 用户ID
     */
            @ApiModelProperty(value = "用户ID")
            @NotNull
                private Long userId;
                /**
     * 用户名称
     */
            @ApiModelProperty(value = "用户名称")
            @NotNull
                private String userName;
                /**
     * 联系电话
     */
            @ApiModelProperty(value = "联系电话")
            @NotNull
                private String phone;
    /**
     * 呼叫结果（0:未呼叫,1:成功,2:无人接听,3:忙,4:空号,5:关机,6:停机,7:线路故障,8:网络错误,9:呼叫拒收,10:号码错误,11:硬件呼叫返回错误,12:其他情况,13:呼叫清除）
     */
            @ApiModelProperty(value = "呼叫结果（0:未呼叫,1:成功,2:无人接听,3:忙,4:空号,5:关机,6:停机,7:线路故障,8:网络错误,9:呼叫拒收,10:号码错误,11:硬件呼叫返回错误,12:其他情况,13:呼叫清除）")
                private String callResult;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String callResultName;

            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
            private TfMsgPushManage tfMsgPushManage;
            
}
