/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 存储历史值
 *
 * @author JF
 * @date Sat May 07 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SCADA_HISTORY",resultMap = "tfScadaHistoryMap")
@KeySequence("TF_SCADA_HISTORY")
@ApiModel
public class TfScadaHistory extends Model<TfScadaHistory> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 指标编号
     */
            @ApiModelProperty(value = "指标编号")
                private String code;
                /**
     * 采集值
     */
            @ApiModelProperty(value = "采集值")
                private String value;
                /**
     * Scada采集时间
     */
            @ApiModelProperty(value = "Scada采集时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date scadaTime;
                /**
     * 入库时间
     */
            @ApiModelProperty(value = "入库时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
            
}
