/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 自定义专题图层信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_THEMELAYER_W", resultMap = "themelayerMap")
@KeySequence("TF_YWPN_THEMELAYER_W")
@ApiModel
public class Themelayer extends Model<Themelayer> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 自定义专题图层名称
     */
    @ApiModelProperty(value = "自定义专题图层名称")
    private String name;
    /**
     * 图层物理名称
     */
    @ApiModelProperty(value = "图层物理名称")
    private String layerName;
    /**
     * 组合条件SQL
     */
    @ApiModelProperty(value = "组合条件SQL")
    private String comCondition;
    /**
     * 范围条件JSON
     */
    @ApiModelProperty(value = "范围条件JSON")
    private String extent;
    /**
     * 说明描述
     */
    @ApiModelProperty(value = "说明描述")
    private String notes;
    /**
     * 创建用户编号
     */
    @ApiModelProperty(value = "创建用户编号")
    @TableField(value = "CREATE_USER",insertStrategy = FieldStrategy.IGNORED)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


}
