package com.tofly.xrtygis.entity.callCenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/6/17 19:46
 */
@Data
public class CallSearch {

    /**
     * 被叫号码
     */
    @ApiModelProperty(value = "被叫号码")
    private String telephone;
    /**
     * 主叫号码
     */
    @ApiModelProperty(value = "主叫号码")
    private String sysphone;
    /**
     * 呼损服务员工id
     */
    @ApiModelProperty(value = "呼损服务员工id")
    private String empcode;
    /**
     * 类型 {1:呼入,2:呼出,3:内部呼叫}
     */
    @ApiModelProperty(value = "类型 {1:呼入,2:呼出,3:内部呼叫}")
    private Long callType;
    /**
     * 流水号
     */
    @ApiModelProperty(value = "流水号")
    private String connectionid;

    @ApiModelProperty(value = "是否需要查满意度；1：代表需要查询")
    private String isQuerySatis;


    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "1:成功,2:无人接听,3:忙")
    private Integer callState;

    private Long export;

    private Long score;

    /**
     * 转接外线号码
     */
    @ApiModelProperty(value = "转接外线号码")
    private String transferNo;

}
