/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity.callCenter;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 公司
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "PLT_COMPANY", resultMap = "pltCompanyMap")
@KeySequence("PLT_COMPANY")
@ApiModel
public class PltCompany extends Model<PltCompany> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String comments;
    /**
     * 状态 {1:在用,2:停用}
     */
    @ApiModelProperty(value = "状态 {1:在用,2:停用}")
    private int status;
    /**
     * 公司编码
     */
    @ApiModelProperty(value = "公司编码")
    private String code;
    /**
     * 公司密码
     */
    @ApiModelProperty(value = "公司密码")
    private String password;
    /**
     * 短信账号
     */
    @ApiModelProperty(value = "短信账号")
    private String smsaccount;
    /**
     * 短信密码
     */
    @ApiModelProperty(value = "短信密码")
    private String smspassword;
    /**
     * 授权码
     */
    @ApiModelProperty(value = "授权码")
    private String authorizationCode;
    /**
     * 主叫号码列表
     */
    @ApiModelProperty(value = "主叫号码列表")
    private String caller;
    /**
     * 热线号码
     */
    @ApiModelProperty(value = "热线号码")
    private String hotPhoneno;
    /**
     * 授权通道数
     */
    @ApiModelProperty(value = "授权通道数")
    private Long maxChannels;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String agentServer;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String codenum;
    /**
     * 坐席授权数{0：无限制}
     */
    @ApiModelProperty(value = "坐席授权数{0：无限制}")
    private Long agentCount;
    /**
     * 自动外呼任务主叫获取方式{1:无限制,2:以坐席主叫为准}
     */
    @ApiModelProperty(value = "自动外呼任务主叫获取方式{1:无限制,2:以坐席主叫为准}")
    private Long autotaskMode;
    /**
     * 预拨号通道获取方式{1:按空闲坐席倍率,2-按任务最大并发数}
     */
    @ApiModelProperty(value = "预拨号通道获取方式{1:按空闲坐席倍率,2-按任务最大并发数}")
    private Long predialMode;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String sapassword;
    /**
     * 登录模式{0:KEY登录,1:允许KEY登录}
     */
    @ApiModelProperty(value = "登录模式{0:KEY登录,1:允许KEY登录}")
    private Long loginMode;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long predialcallcountflag;
    /**
     * 是否使用web与小软件通信的功能；1-是
     */
    @ApiModelProperty(value = "是否使用web与小软件通信的功能；1-是 ")
    private Long useQyphone;
    /**
     * 授权机器人个数
     */
    @ApiModelProperty(value = "授权机器人个数")
    private Long aiCount;
    /**
     * 到期时间
     */
    @ApiModelProperty(value = "到期时间")
    private Date aiExpire;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 是否启用API{1:启用,0:不启用}
     */
    @ApiModelProperty(value = "是否启用API{1:启用,0:不启用}")
    private Long enableApi;
    /**
     * API密匙
     */
    @ApiModelProperty(value = "API密匙")
    private String apiAccesskey;
    /**
     * 开启的API id 多个,分隔
     */
    @ApiModelProperty(value = "开启的API id 多个,分隔")
    private String enableApis;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String extensionPassword;

}
