/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity.callCenter;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 员工
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "PLT_EMPLOYEE", resultMap = "pltEmployeeMap")
@KeySequence("PLT_EMPLOYEE")
@ApiModel
public class PltEmployee extends Model<PltEmployee> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long cid;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptid;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userid;
    /**
     * 工号
     */
    @ApiModelProperty(value = "工号")
    private String code;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 联系电话1
     */
    @ApiModelProperty(value = "联系电话1")
    private String phone1;
    /**
     * 联系电话2
     */
    @ApiModelProperty(value = "联系电话2")
    private String phone2;
    /**
     * 联系电话3
     */
    @ApiModelProperty(value = "联系电话3")
    private String phone3;
    /**
     * 默认外呼主叫
     */
    @ApiModelProperty(value = "默认外呼主叫")
    private String caller;
    /**
     * 外呼 {1:在用,2:停用}
     */
    @ApiModelProperty(value = "外呼 {1:在用,2:停用}")
    private Integer calloutState;
    /**
     * 市话 {1:在用,2:停用}
     */
    @ApiModelProperty(value = "市话 {1:在用,2:停用}")
    private Integer localState;
    /**
     * 国内长话 {1:在用,2:停用}
     */
    @ApiModelProperty(value = "国内长话 {1:在用,2:停用}")
    private Integer tollState;
    /**
     * 国际长话 {1:在用,2:停用}
     */
    @ApiModelProperty(value = "国际长话 {1:在用,2:停用}")
    private Integer i18nState;
    /**
     * 状态变更时间
     */
    @ApiModelProperty(value = "状态变更时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date statusModifyTime;
    /**
     * 状态 {1:启用,2:停用,3:删除}
     */
    @ApiModelProperty(value = "状态 {1:启用,2:停用,3:删除}")
    private Short status;
    /**
     * 外呼主叫号码
     */
    @ApiModelProperty(value = "外呼主叫号码")
    private Long calloutid;
    /**
     * 入职时间
     */
    @ApiModelProperty(value = "入职时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 坐席绑定分机号，-1表示未绑定
     */
    @ApiModelProperty(value = "坐席绑定分机号，-1表示未绑定")
    private Long extno;
    /**
     * 接入权重值
     */
    @ApiModelProperty(value = "接入权重值")
    private Long weightNo;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long portno;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String logoUrl;

}
