package com.tofly.xrtygis.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 首页 - 报警分页请求
 *
 * @author BZ-DJJ
 */
@Data
public class WarnInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报警类型，如压力报警,多个以,分隔")
    private String warnType;
    @ApiModelProperty(value = "是否确认，0待确认，1已确认")
    private String isconfirm;
    @ApiModelProperty(value = "是否消除，0未消除，1已消除")
    private String isclear;
    @ApiModelProperty(value = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "终止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "监测站点id,多个以,分隔")
    private String stationId;
    @ApiModelProperty(value = "报警级别")
    private Long rangeId;

}
