package com.tofly.xrtygis.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 首页 - 报警分页数据
 *
 * @author BZ-DJJ
 */
@Data
public class WarnInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;

    @ApiModelProperty(value = "指标编号")
    private String itcd;

    @ApiModelProperty(value = "报警级别")
    private Long rangeId;

    @ApiModelProperty(value = "报警类型，如压力报警")
    private String warnType;

    @ApiModelProperty(value = "是否可定位,0否、1是")
    private String isloc;

    @ApiModelProperty(value = "报警内容")
    private String notes;

    @ApiModelProperty(value = "报警位置")
    private String address;

    @ApiModelProperty(value = "连续报警累计时长，单位：分钟")
    private BigDecimal duration;

    @ApiModelProperty(value = "连续报警次数")
    private Integer num;

    @ApiModelProperty(value = "是否确认，0待确认，1已确认")
    private String isconfirm;

    @ApiModelProperty(value = "是否消除，0未消除，1已消除")
    private String isclear;

    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    @ApiModelProperty(value = "确认人ID")
    private Long confirmUser;
    @ApiModelProperty(value = "SCADA监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    @ApiModelProperty(value = "监测站点id")
    private Long stationId;
    @ApiModelProperty(value = "监测站点名称")
    private String stationName;
}
