package com.tofly.es;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 位置轨迹上报
 * @author BZ-DJJ
 */
@Data
@Document(indexName = "hnlsgps_" + "#{T(com.tofly.common.core.util.Date8Util).getYearMonth()}", type = "gps")
public class GpsUpload implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键ID")
    private Long id;
    @ApiModelProperty(value = "上报用户ID")
    private Long userId;
    @ApiModelProperty(value = "上报用户名称")
    private String userName;
    @ApiModelProperty(value = "GPS经度")
    private BigDecimal locationLongitude;
    @ApiModelProperty(value = "GPS纬度")
    private BigDecimal locationLatitude;
    @ApiModelProperty(value = "速度(触发器计算)")
    private BigDecimal speed;
    @ApiModelProperty(value = "方向")
    private BigDecimal direction;
    @ApiModelProperty(value = "定位网络(gps1,基站2,wifi3)")
    private String network;
    @ApiModelProperty(value = "距离(触发器计算)")
    private BigDecimal distance;
    @ApiModelProperty(value = "上传时间")
    private Date uploadTime;
    @ApiModelProperty(value = "定位时间")
    private Date gpsTime;
    @ApiModelProperty(value = "距离上次gps定位时长（单位：秒）")
    private BigDecimal gpsTimespan;
    @ApiModelProperty(value = "定位精度")
    private String gpsPrecision;
    @ApiModelProperty(value = "卫星个数")
    private BigDecimal gpsStar;
    @ApiModelProperty(value = "上传轨迹速度")
    private BigDecimal gpsSpeed;
    @ApiModelProperty(value = "0:异常 1：正常")
    private String gpsState;
    @ApiModelProperty(value = "手机数据唯一标识")
    private Long gpsId;
    @ApiModelProperty(value = "定位手机的时间")
    private Date checkTime;
    @ApiModelProperty(value = "手机上传分段数")
    private BigDecimal gpsSection;
    @ApiModelProperty(value = "0:无效 1：有效")
    private String isValid;
    @ApiModelProperty(value = "0：人巡 1：车巡")
    private String gpsType;
    @ApiModelProperty(value = "车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值")
    private Long gpsDeviceId;
    @ApiModelProperty(value = "设备id")
    private Long pdaId;

}
