/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工地监护上报信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BuildDto extends Model<BuildDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 0：未审核；1：通过；2：未通过
     */
    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 是否接收查看，0：未查看；1：已查看
     */
    @ApiModelProperty(value = "是否接收查看，0：未查看；1：已查看")
    private Long isread;
    /**
     * 工地监护工单主键ID
     */
    @ApiModelProperty(value = "工地监护工单主键ID")
    private Long id;
    /**
     * 工地类型ID，关联表TF_YWPN_BUILDTYPE_D
     */
    @ApiModelProperty(value = "工地类型ID，关联表TF_YWPN_BUILDTYPE_D")
    private Long typeId;
    /**
     * 上报途径，0:手机端现场上报，1内业上报
     */
    @ApiModelProperty(value = "上报途径，0:手机端现场上报，1内业上报")
    private String uploadType;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double lgtd;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double lttd;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 施工单位名称
     */
    @ApiModelProperty(value = "施工单位名称")
    private String sgdw;
    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private String gdfzr;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;
    /**
     * 业主单位名称
     */
    @ApiModelProperty(value = "业主单位名称")
    private String ownerUnitName;
    /**
     * 业主负责人
     */
    @ApiModelProperty(value = "业主负责人")
    private String ownerUnitUser;
    /**
     * 业主联系电话
     */
    @ApiModelProperty(value = "业主联系电话")
    private String ownerUnitPhone;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 工地现场附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "工地现场附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;
    /**
     * 审核人是否确认查收，0未查询，1已查收
     */
    @ApiModelProperty(value = "审核人是否确认查收，0未查询，1已查收")
    private String ischeackRead;
    /**
     * 是否需要人员监护巡查，0否，1是
     */
    @ApiModelProperty(value = "是否需要人员监护巡查，0否，1是")
    private String isrespect;
    /**
     * 监护状态，0无需监护、1监护巡查、2已结束、3监护结束申请
     */
    @ApiModelProperty(value = "监护状态，0无需监护、1监护巡查、2已结束、3监护结束申请")
    private String state;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;

    @ApiModelProperty(value = "auditResult 审核状态查询,多个状态 以 , 隔开")
    private String auditResults;

    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区编码")
    private String regionId;

    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    @ApiModelProperty(value = "是否查询当前用户下的处理列表,flag为1 默认不填写")
    private String flag;
    @ApiModelProperty(value = "工地名称")
    private String siteName;
}
