/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.emergency;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 应急事件处理日志记录表
 *
 * @author admin
 * @date Tue Feb 22 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_EMERGENCY_DIS_W", resultMap = "emergencyDisMap")
@KeySequence("TF_YWPN_EMERGENCY_DIS_W")
@ApiModel
public class EmergencyDis extends Model<EmergencyDis> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 应急事件id 关联TF_YWPN_EMERGENCY_W表 id
     */
    @ApiModelProperty(value = "应急事件id 关联TF_YWPN_EMERGENCY_W表 id")
    private Long emergencyId;
    /**
     * 处理状态(1已完成 2未完成 3无需处理 )
     */
    @ApiModelProperty(value = "处理状态(1已完成 2未完成 3无需处理 )")
    private String state;
    @TableField(exist = false)
    private String stateName;
    /**
     * 处理说明
     */
    @ApiModelProperty(value = "处理说明")
    private String note;
    /**
     * 前-附件
     */
    @ApiModelProperty(value = "前-附件")
    private String fileIdsOne;
    /**
     * 中附件
     */
    @ApiModelProperty(value = "中附件")
    private String fileIdsTow;
    /**
     * 后附件
     */
    @ApiModelProperty(value = "后附件")
    private String fileIdsThree;
    /**
     * 是否为历史(0否,1是)
     */
    @ApiModelProperty(value = "是否为历史(0否,1是)")
    private String isHis;
    /**
     * 处理人员
     */
    @ApiModelProperty(value = "处理人员")
    private Long disUserId;
    @ApiModelProperty(value = "是否无效(0无效1有效)")
    private String flag;

    @TableField(exist = false)
    private String disUserName;
    /**
     * 审核状态：0未审批、1已通过、2未通过
     */
    @ApiModelProperty(value = "审核状态：0未审批、1已通过、2未通过")
    private String auditResult;

    @TableField(exist = false)
    private String auditResultName;
    /**
     * 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNote;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @TableField(exist = false)
    private String auditUserName;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date disTime;
    @ApiModelProperty(value = "前文件路径列表")
    @TableField(exist = false)
    List<String> filePathOneList;
    @ApiModelProperty(value = "中文件路径列表")
    @TableField(exist = false)
    List<String> filePathTowList;
    @ApiModelProperty(value = "后文件路径列表")
    @TableField(exist = false)
    List<String> filePathThreeList;

}
