/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.comm.vo.AuditVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 抢维修年度计划记录信息表
 *
 * @author admin
 * @date Tue Nov 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPAIRPLANYEAR_W", resultMap = "repairplanyearMap")
@KeySequence("TF_YWPN_REPAIRPLANYEAR_W")
@ApiModel
public class Repairplanyear extends Model<Repairplanyear> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String issubmit;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "上报状态转义")
    private String issubmitName;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "上报人中文名称")
    private String submitUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "创建人转义")
    private String createUserName;
    /**
     * 计划状态(0待审核,1审批拒绝2审批通过)
     */
    @ApiModelProperty(value = "计划状态(0待审核,1审批通过2审批拒绝)")
    private String planState;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "计划状态转义")
    private String planStateName;

    @ApiModelProperty(value = "年计划详情数据")
    @TableField(exist = false)
    private List<Repairplanyeardetail> details;

    @TableField(exist = false)
    @ApiModelProperty(value = "审批链")
    private List<AuditVo> auditVoList;

    @TableField(exist = false)
    @ApiModelProperty(value = "年份,多个以,分隔")
    private String years;

    @ApiModelProperty(value = "说明")
    private String note;

}
