/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.vo.AuditVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 抢维修年度计划记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairplanVo extends Model<RepairplanVo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 上报状态，0未提交、1已提交
     */
    @ApiModelProperty(value = "上报状态，0未提交、1已提交")
    private String issubmit;

    @TableField(exist = false)
    private String issubmitName;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;

    /**
     * 上报人名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "上报人名称")
    private String submitUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "抢维修月计划详情列表详细")
    private List<RepairplandetailVo> repairplandetailVoList;
    @ApiModelProperty(value = "计划状态(0待审核,1审批拒绝2审批通过)")
    private String planState;
    @TableField(exist = false)
    private String planStateName;
    @ApiModelProperty(value = "审批链")
    private List<AuditVo> auditVoList;
    @ApiModelProperty(value = "抢维修年计划id")
    private Long yearId;

    @ApiModelProperty(value = "月份")
    private String month;
}
