/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抢维修工单驳回记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairrebutVo extends Model<RepairrebutVo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 个人任务id，关联表TF_YWPN_REPAIRUSER_W
     */
    @ApiModelProperty(value = "个人任务id，关联表TF_YWPN_REPAIRUSER_W")
    private Long repairUserid;
    /**
     * 驳回原因说明
     */
    @ApiModelProperty(value = "驳回原因说明")
    private String rebutNotes;
    /**
     * 维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值
     */
    @ApiModelProperty(value = "维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值")
    private Long repairId;
    /**
     * 创建人（驳回人ID）
     */
    @ApiModelProperty(value = "创建人（驳回人ID）")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间（驳回时间）
     */
    @ApiModelProperty(value = "创建时间（驳回时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
