/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 抢维修处理记录表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairrecordVo extends Model<RepairrecordVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识
     */
    @ApiModelProperty(value = "数据唯一标识")
    private Long id;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double lgtd;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double lttd;
    /**
     * 个人任务id，关联表TF_YWPN_REPAIRUSER_W
     */
    @ApiModelProperty(value = "个人任务id，关联表TF_YWPN_REPAIRUSER_W")
    private Long repairUserid;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 口径（mm）
     */
    @ApiModelProperty(value = "口径（mm）")
    private String bore;
    /**
     * 情况说明
     */
    @ApiModelProperty(value = "情况说明")
    private String notes;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "抢维修耗材记录列表")
    private List<RepairgoodsVo> repairgoodsVoList;
    /**
     * 文件路径列表
     */
    @ApiModelProperty(value = "前文件路径列表")
    List<String> filePathOneList;
    @ApiModelProperty(value = "中文件路径列表")
    List<String> filePathTowList;
    @ApiModelProperty(value = "后文件路径列表")
    List<String> filePathThreeList;
    @ApiModelProperty(value = "附件1")
    private String fileIdsOne;

    @ApiModelProperty(value = "附件2")
    private String fileIdsTow;

    @ApiModelProperty(value = "附件3")
    private String fileIdsThree;
    @ApiModelProperty(value = "维修设备编码，关联空间数据编码")
    private String repairDevice;
    @ApiModelProperty(value = "设备关联空间数据图层")
    private String repairLayer;

    @ApiModelProperty(value = "所在片区")
    private String regionCode;

    @ApiModelProperty(value = "所在片区名称")
    private String regionName;
    @ApiModelProperty(value = "是否有效 0无 1有")
    private String flag;
    @ApiModelProperty("状态 0待审核,1审批拒绝2审批通过3未上报")
    private String state;
    @ApiModelProperty("维修类型 关联表 TF_YWPN_REPAIRTYPE_D")
    private Long repairType;
    @ApiModelProperty("维修类型名称")
    private String repairTypeName;
}
