/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 上下班签到瞬时信息表：TF_YWPN_PDASIGN_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PDASIGN_W", resultMap = "pdasignMap")
@KeySequence("TF_YWPN_PDASIGN_W")
@ApiModel
public class Pdasign extends Model<Pdasign> {
    private static final long serialVersionUID = 1L;

    /**
     * 考勤签到ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "考勤签到ID")
    private Long id;
    /**
     * 签到用户ID
     */
    @ApiModelProperty(value = "签到用户ID")
    private Long signUser;
    /**
     * 签到设备ID
     */
    @ApiModelProperty(value = "签到设备ID")
    private Long pdaid;
    /**
     * 签到地点
     */
    @ApiModelProperty(value = "签到地点")
    private String signAddress;
    /**
     * 签到类型；1：上班 2：下班
     */
    @ApiModelProperty(value = "签到类型；0:未签到 1：上班 2：下班")
    private String signType;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lng;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lat;
    /**
     * 签到备注
     */
    @ApiModelProperty(value = "签到备注")
    private String note;
    /**
     * 签到标识；0:gps获取 1：手动获取
     */
    @ApiModelProperty(value = "签到标识；0:gps获取 1：手动获取")
    private String flag;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 签到分段数
     */
    @ApiModelProperty(value = "签到分段数")
    private Long section;
    /**
     * 签到时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "签到时间")
    private Date signTime;
}
