/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 计划维护记录表
 *
 * @author admin
 * @date Tue Jan 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YMPN_PLAN_MT_W", resultMap = "planMtMap")
@KeySequence("TF_YMPN_PLAN_MT_W")
@ApiModel
public class PlanMt extends Model<PlanMt> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 维护时间
     */
    @ApiModelProperty(value = "维护时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date maintainTime;
    /**
     * 维护类型
     */
    @ApiModelProperty(value = "维护类型")
    private String maintainType;
    @TableField(exist = false)
    private String maintainTypeName;
    /**
     * 维护说明
     */
    @ApiModelProperty(value = "维护说明")
    private String maintainNote;
    /**
     * 维护地址
     */
    @ApiModelProperty(value = "维护地址")
    private String maintainAddress;
    /**
     * 维护人员id
     */
    @ApiModelProperty(value = "维护人员id")
    private Long maintainUserId;

    @TableField(exist = false)
    private String maintainUserIdName;
    /**
     * 子计划id
     */
    @ApiModelProperty(value = "子计划id")
    private Long planChildId;
    /**
     * 计划id
     */
    @ApiModelProperty(value = "计划id")
    private Long planId;
    /**
     * 维护设施编码
     */
    @ApiModelProperty(value = "维护设施编码")
    private String maintainCode;
    /**
     * 前附件
     */
    @ApiModelProperty(value = "前附件")
    private String fileIdsOne;
    /**
     * 中附件
     */
    @ApiModelProperty(value = "中附件")
    private String fileIdsTow;
    /**
     * 后附件
     */
    @ApiModelProperty(value = "后附件")
    private String fileIdsThree;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double x;
    /**
     * 维度
     */
    @ApiModelProperty(value = "维度")
    private Double y;
    @ApiModelProperty(value = "是否有效 0无 1有")
    private String flag;

    @ApiModelProperty(value = "是否为历史信息 0不是 1是")
    private String isHis;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 审核状态：0未审批、1已通过、2未通过
     */
    @ApiModelProperty(value = "审核状态：0未审批、1已通过、2未通过")
    private String auditResult;

    @TableField(exist = false)
    private String auditResultName;
    /**
     * 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNote;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @TableField(exist = false)
    private String auditUserName;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    @ApiModelProperty(value = "前文件路径列表")
    @TableField(exist = false)
    List<String> filePathOneList;
    @ApiModelProperty(value = "中文件路径列表")
    @TableField(exist = false)
    List<String> filePathTowList;
    @ApiModelProperty(value = "后文件路径列表")
    @TableField(exist = false)
    List<String> filePathThreeList;

    @ApiModelProperty(value = "维护内容")
    @TableField(exist = false)
    private List<PlanMtRel> contentList;


}
