/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 计划维护处理关联表
 *
 * @author admin
 * @date Tue Jan 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YMPN_PLAN_MT_REL_W", resultMap = "planMtRelMap")
@KeySequence("TF_YMPN_PLAN_MT_REL_W")
@ApiModel
public class PlanMtRel extends Model<PlanMtRel> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 计划维护记录id
     */
    @ApiModelProperty(value = "计划维护记录id")
    private Long maintainId;
    /**
     * 维护内容id(关联字典表)
     */
    @ApiModelProperty(value = "维护内容id(关联字典表)")
    private String contentId;
    @TableField(exist = false)
    private String contentName;
    /**
     * 维护状态(0无需处理,1已处理,2待处理)
     */
    @ApiModelProperty(value = "维护状态(0无需处理,1已处理,2待处理)")
    private String state;

    @TableField(exist = false)
    private String stateName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;

}
