/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 车载设备使用情况管理 dto请求对象
 */
@Data
@ApiModel
public class DevicemanagerDto extends Model<DevicemanagerDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 车载设备ID，关联表TF_YWPN_GPSDEVICE_W关键值
     */
    @ApiModelProperty(value = "车载设备ID，关联表TF_YWPN_GPSDEVICE_W关键值")
    private Long czsbId;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W关键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W关键值")
    private Long planId;
    /**
     * 开始使用时间
     */
    @ApiModelProperty(value = "开始使用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束使用时间
     */
    @ApiModelProperty(value = "结束使用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 使用者
     */
    @ApiModelProperty(value = "使用者")
    private Long useUser;

}
