/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 巡检月度计划记录信息表：TF_YWPN_PLANMOUTH_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanmouthDto extends Model<PlanmouthDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String mouth;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String issubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "是否为养护 0否 1是")
    private String maintenanceFlag;

    @ApiModelProperty(value = "计划状态(0待审核,1审批拒绝2审批通过)")
    private String planState;
    @ApiModelProperty(value = "月计划详情内容")
    private String planContent;

    @ApiModelProperty(value = "多个年查询,多个以,分隔")
    private String years;
    @ApiModelProperty(value = "多个月查询,多个以,分隔")
    private String months;

}
