package com.tofly.pojo.plan.dto;


import com.tofly.pojo.comm.dto.AuditDto;
import com.tofly.pojo.emergency.Emergency;
import com.tofly.pojo.emergency.EmergencyDis;
import com.tofly.pojo.maintain.dto.RepairorderDto;
import com.tofly.pojo.plan.PlanMt;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 上报审批对象
 *
 * @author Zev
 */
@Data
@ApiModel
public class ReportAuditDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "对应计划id")
    private Long id;
    @ApiModelProperty(value = ",")
    private String templateServiceType;
    @ApiModelProperty(value = "上报人ID")
    private Long reportId;

    @ApiModelProperty(value = "审批人ID")
    private Long auditId;

    @ApiModelProperty(value = "审核结果 1：通过；2：未通过")
    private String auditResult;

    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;

    @ApiModelProperty(value = "是否需要人员监护巡查/隐患巡查，0否，1是")
    private String isrespect;

    @ApiModelProperty(value = "隐患说明")
    private String troubleNotes;

    @ApiModelProperty(value = "消除隐患说明")
    private String troubleClearNotes;

    @ApiModelProperty(value = "工地监护说明")
    private String buildNotes;

    @ApiModelProperty(value = "工地监护消除说明")
    private String buildClearNotes;

    @ApiModelProperty(value = "任务暂停说明")
    private String planStopNotes;

    @ApiModelProperty(value = "任务废除说明")
    private String planDisuseNotes;

    @ApiModelProperty(value = "巡检计划(含有点到位信息列表)")
    private PlanDto planDto;

    @ApiModelProperty(value = "抢维修派工对象")
    private RepairorderDto repairorderDto;

    @ApiModelProperty(value = "多个审核对象")
    private List<AuditDto> auditDtoList;

    @ApiModelProperty(value = "月计划审核计划id多个以,分隔")
    private String planMonthIds;

    @ApiModelProperty(value = "维护计划审核列表")
    private List<PlanMt> planMtList;
    @ApiModelProperty(value = "任务延期 结束时间")
    private Date endTime;

    @ApiModelProperty(value = "应急处理记录列表")
    private List<EmergencyDis> emergencyDisList;
}
