package com.tofly.pojo.plan.vo;

import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 考勤报表
 *
 * @author JF
 * @date
 */
@Data
@ApiModel
public class AttendanceReportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    @com.haiqiu.tools.excel.annotation.Excel(name = "序号",column = "A")
    private Integer id;

    /**
     * 考勤人员ID
     */
    @ApiModelProperty(value = "考勤人员ID")
    private Long userId;

    /**
     * 考勤人员名称
     */
    @ApiModelProperty(value = "考勤人员名称")
    @com.haiqiu.tools.excel.annotation.Excel(name = "姓名",column = "C")
    private String userName;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @com.haiqiu.tools.excel.annotation.Excel(name = "所属部门",column = "B")
    private String deptName;

    /**
     * 上班时间（最早一次）
     */
    @ApiModelProperty(value = "上班时间（最早一次）")
    @com.haiqiu.tools.excel.annotation.Excel(name = "上班时间",column = "D",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date onTime;

    /**
     * 上班打卡位置
     */
    @ApiModelProperty(value = "上班打卡位置")
    @com.haiqiu.tools.excel.annotation.Excel(name = "上班打卡位置",column = "E")
    private String onAddress;

    /**
     * 上班打卡次数
     */
    @ApiModelProperty(value = "上班打卡次数")
    private BigDecimal onNumber;

    /**
     * 下班时间（最晚一次）
     */
    @ApiModelProperty(value = "下班时间（最晚一次）")
    @com.haiqiu.tools.excel.annotation.Excel(name = "下班时间",column = "F",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date offTime;

    /**
     * 下班打卡位置
     */
    @ApiModelProperty(value = "下班打卡位置")
    @com.haiqiu.tools.excel.annotation.Excel(name = "下班打卡位置",column = "G")
    private String offAddress;

    /**
     * 下班打卡次数
     */
    @ApiModelProperty(value = "下班打卡次数")
    private BigDecimal offNumber;

    /**
     * 累计打卡次数
     */
    @ApiModelProperty(value = "累计打卡次数")
    @com.haiqiu.tools.excel.annotation.Excel(name = "累计打卡次数",column = "H")
    private BigDecimal signNumber;

    /**
     * 统计工时
     */
    @ApiModelProperty(value = "统计工时")
    private BigDecimal workHour;
}
