/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 水压测试记录上报表：TF_YWPN_PRESSRECORD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PRESSRECORD_W", resultMap = "pressrecordMap")
@KeySequence("TF_YWPN_PRESSRECORD_W")
@ApiModel
public class PressrecordVo extends Model<PressrecordVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "数据唯一标识")
    private Long id;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double xAddr;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double yAddr;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 片区
     */
    @ApiModelProperty(value = "片区")
    private String regionCode;
    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    /**
     * 压力表位置描述
     */
    @ApiModelProperty(value = "压力表位置描述")
    private String jwNum;
    /**
     * 参考压力(Mpa)
     */
    @ApiModelProperty(value = "参考压力(Mpa)")
    private Double ckyl;
    /**
     * 实际压力(Mpa)
     */
    @ApiModelProperty(value = "实际压力(Mpa)")
    private Double sjyl;
    /**
     * 压力监测时间
     */
    @ApiModelProperty(value = "压力监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yljcTime;
    /**
     * 情况说明
     */
    @ApiModelProperty(value = "情况说明")
    private String notes;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    /**
     * 创建时间（上报时间）
     */
    @ApiModelProperty(value = "创建时间（上报时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建用户ID（上报用户）
     */
    @ApiModelProperty(value = "创建用户ID（上报用户）")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;

}
