package com.tofly.pojo.statement.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.statement.vo.InspectionStatisticsVo;
import com.tofly.pojo.statement.vo.WorkCompletionVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 巡查统计
 * @author BZ-DJJ
 */
@Data
public class InspectionStatisticsDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计类型(0年,1月,2季,3周,4日)")
    private String type;
    @ApiModelProperty(value = "年")
    private String year;
    @ApiModelProperty(value = "季度")
    private String quarter;
    @ApiModelProperty(value = "月份")
    private String month;
    @ApiModelProperty(value = "统计人员")
    private Long statisticalUserId;
    @ApiModelProperty(value = "考核人员")
    private Long assessUserId;
    @ApiModelProperty(value = "考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date assessTime;
    @ApiModelProperty(value = "考核内容")
    private String assessNote;
    @ApiModelProperty(value = "考核评分")
    private BigDecimal assessScore;
    @ApiModelProperty(value = "报表统计返回对象列表")
    private List<InspectionStatisticsVo> voList;
}
