package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 隐患记录台账前端展示对象
 * @author BZ-DJJ
 */
@Data
public class TroubleRecordLedgerVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "管线名称")
    private String pipeName;

    @ApiModelProperty(value = "隐患部位")
    private String location;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty("隐患原因id")
    private String troubleTypeId;
    @ApiModelProperty("隐患原因名称")
    private String troubleTypeName;
    @ApiModelProperty("备注")
    private String note;
    @ApiModelProperty("隐患等级id")
    private String rangeId;
    @ApiModelProperty("隐患等级名称")
    private String rangeName;


    @ApiModelProperty("隐患发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date troubleTime;

    @ApiModelProperty(value = "是否进入工地管理，0否，1是")
    private String isBuild;

    @ApiModelProperty(value = "施工单位名称")
    private String sgdw;

    @ApiModelProperty(value = "施工负责人")
    private String gdfzr;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "消除隐患建议")
    private String suggest;

    @ApiModelProperty(value = "隐患是否消除")
    private String isSuggest;

    @ApiModelProperty(value = "消除时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eliminateTime;

    @ApiModelProperty(value = "消除隐患情况说明")
    private String eliminateTroubleNotes;
    @ApiModelProperty(value = "上报人id")
    private Long submitUserid;
    @ApiModelProperty(value = "上报人名称")
    private String submitUserName;

    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
}
