/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.trouble;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 隐患消除记录表
 *
 * @author admin
 * @date Mon Mar 29 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_TOUBLECLEAR_W", resultMap = "toubleclearMap")
@KeySequence("TF_YWPN_TOUBLECLEAR_W")
@ApiModel
public class Toubleclear extends Model<Toubleclear> {
    private static final long serialVersionUID = 1L;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    @TableField(exist = false)
    private String auditUserName;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;
    @TableField(exist = false)
    private String isSubmitName;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 隐患id，关联表TF_YWPN_TROUBLE_W主键
     */
    @ApiModelProperty(value = "隐患id，关联表TF_YWPN_TROUBLE_W主键")
    private Long toubleId;
    @TableField(exist = false)
    private String typeIdName;
    /**
     * 消除隐患情况说明
     */
    @ApiModelProperty(value = "消除隐患情况说明")
    private String notes;
    /**
     * 消除隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "消除隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String clearFileids;
    /**
     * 是否读取，0未读，1已读
     */
    @ApiModelProperty(value = "是否读取，0未读，1已读")
    private String isread;
    @TableField(exist = false)
    private String isreadName;
    /**
     * 状态，1未审核，2同意、0不同意
     */
    @ApiModelProperty(value = "状态，1未审核，2同意、0不同意")
    private String state;
    @TableField(exist = false)
    private String stateName;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    @TableField(exist = false)
    private String submitUserName;
    /**
     * 0：未审核；1：通过；2：未通过
     */
    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;

    @TableField(exist = false)
    private String auditResultName;
    @TableField(exist = false)
    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;

    @ApiModelProperty(value = "管线名称")
    @TableField(exist = false)
    private String pipeName;
    @TableField(exist = false)
    @ApiModelProperty(value = "地址")
    private String address;
    @TableField(exist = false)
    @ApiModelProperty(value = "隐患状态，0无需处理、1巡查、2已消除、3消除申请")
    private String tuobleState;
    @TableField(exist = false)
    private String toubleRangeIdName;
}
