/*
 * Author: Zev
 * 生成controller
 */
package com.tofly.gpsboot.controller.plan;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;

import com.tofly.gpsboot.controller.BaseController;
import com.tofly.pojo.plan.dto.PdahistoryDto;
import com.tofly.pojo.plan.vo.PdahistoryVo;
import com.tofly.pojo.plan.Pdahistory;

import com.tofly.gpsboot.service.paln.PdahistoryService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.validation.Valid;
import java.util.Optional;

/**
 * 监控设备日志
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@RestController
@RequestMapping("/pdahistory")
@Api(tags="监控设备日志")
public class PdahistoryController extends BaseController<Pdahistory, PdahistoryVo> {
    @Autowired
    public PdahistoryController(PdahistoryService service) {
        init(service);
    }

    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    public ResultRespone<Page<PdahistoryVo>> getPdahistoryPage(Page page, @ModelAttribute PdahistoryDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), Pdahistory.class));
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    public ResultRespone<Object> savePdahistory(@Valid @RequestBody PdahistoryDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Pdahistory.class)));

    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    public ResultRespone<Object> updateByIdPdahistory(@Valid @RequestBody PdahistoryDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Pdahistory.class)));

    }

    @GetMapping("/{id}")
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone<Pdahistory> getByIdPdahistory(@PathVariable Long id) {
        return super.getById(id);
    }

    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    public ResultRespone<Object> removeByIdListPdahistory(String ids) {
        return super.removeByIdList(ids);
    }

}
