/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.build;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.build.dto.BulidclearDto;
import com.tofly.pojo.build.vo.BulidclearVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.build.Bulidclear;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 工地监护结束记录表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface BulidclearService extends IBaseService<Bulidclear, BulidclearVo>  {
    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<BulidclearVo> getBuildClearPage(Page page, BulidclearDto parDto);
    /**
     * 新增基本和详情信息
     * @param fileList
     * @param parDto
     */
    void savaBuildInfo(List<MultipartFile> fileList, BulidclearDto parDto);

    /**
     * 修改基本和详情信息
     * @param fileList
     * @param parDto
     * @throws BusinessException 抛出更新当前数据不存在
     */
    void updateBulidClearInfo(List<MultipartFile> fileList, BulidclearDto parDto) throws BusinessException;

    /**
     * 单个删除或批量删除信息
     * @param idList
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteBulidClearInfo(List<Long> idList)throws BusinessException;

    /**
     * 完成处理当前工地待办计划任务信息
     * @param buildId
     */
    void clearBuildUserTaskPlan(Long buildId);
}


