/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.trouble;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.trouble.dto.ToubleclearDto;
import com.tofly.pojo.trouble.vo.ToubleclearVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.trouble.Toubleclear;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 隐患消除记录表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface ToubleclearService extends IBaseService<Toubleclear, ToubleclearVo>  {

    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<Toubleclear> getToubleclearPage(Page page, ToubleclearDto parDto);
    /**
     * 新增基本和详情信息
     * @param fileList
     * @param parDto
     */
    void savaBuildInfo(List<MultipartFile> fileList, ToubleclearDto parDto);

    /**
     * 修改基本和详情信息
     * @param fileList
     * @param parDto
     * @throws BusinessException 抛出更新当前数据不存在
     */
    void updateToubleclearInfo(List<MultipartFile> fileList, ToubleclearDto parDto) throws BusinessException;

    /**
     * 单个删除或批量删除信息
     * @param idList
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteToubleclearInfo(List<Long> idList)throws BusinessException;

    /**
     * 完成处理当前隐患待办计划任务信息
     * @param troubleId
     */
    void clearTroubleUserTaskPlan(Long troubleId);
}
