package com.tofly.gpsboot.strategy;


import com.tofly.pojo.plan.dto.ReportAuditDto;
import com.tofly.gpsboot.exception.BusinessException;

/**
 * <p>
 * 上报策略 接口
 * </p>
 *
 * @author Zev
 * @since 2021-03-20
 */
public interface ReportStrategy {

    /**
     * 上报处理(支持单个及批量)
     * @param dto 上报数据
     * @throws BusinessException 相关业务异常说明
     */
    void report(ReportAuditDto dto) throws BusinessException;
}
