/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 漏点基本信息表
 *
 * @author admin
 * @date Mon Mar 21 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_LEAK_INFO_W", resultMap = "leakInfoMap")
@KeySequence("TF_YWPN_LEAK_INFO_W")
@ApiModel
public class LeakInfo extends Model<LeakInfo> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 漏点名称
     */
    @ApiModelProperty(value = "漏点名称")
    private String leakName;

    /**
     * DMA分区id
     */
    @ApiModelProperty(value = "DMA分区id")
    private Long dmaId;
    @TableField(exist = false)
    @ApiModelProperty(value = "DMA分区name", hidden = true)
    private String dmaName;

    /**
     * 漏点来源(0内部,1外部)
     */
    @ApiModelProperty(value = "漏点来源(0内部,1公众)")
    private String leakSource;
    @TableField(exist = false)
    @ApiModelProperty(value = "漏点来源数字转化", hidden = true)
    private String leakSourceName;

    /**
     * 处理状态(1已上报 2正在处理 3待审核 4处理完成 5终止)
     */
    @ApiModelProperty(value = "处理状态(1已上报 2正在处理 3待审核 4处理完成 5终止)")
    private String disposeState;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理状态数字转化", hidden = true)
    private String disposeStateName;
    /**
     * 消除漏点建议
     */
    @ApiModelProperty(value = "消除漏点建议")
    private String disposeSuggest;
    @ApiModelProperty(value = "预估漏损水量")
    private BigDecimal estimatedWaterLoss;
    /**
     * 业务工单id
     */
    @ApiModelProperty(value = "业务工单id")
    private Long gdinfoId;


}
