package com.tofly.xrtymis.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class GdglinfoDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "工单状态，默认空，1：已完成；0：未完成")
    private Integer gdType;

    @ApiModelProperty(value = "超时，1：查询超时")
    private Integer cs;


    @ApiModelProperty(value = "终结，1：查询终结")
    private Integer zj;

    /**
     * 是否有转派状态 0 无转派，1有转派
     */
    @ApiModelProperty(value = "是否有转派状态 0 无转派，1有转派")
    private String zpzt;

    /**
     * 是否有驳回状态 0 无驳回，1有驳回
     */
    @ApiModelProperty(value = "是否有驳回状态 0 无驳回，1有驳回 ")
    private String bhzt;

    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型 ")
    private Long gdlx;
    /**
     * 工单细分1
     */
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;
    /**
     * 工单细分2
     */
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;
    /**
     * 流程节点id 与工单状态互斥，两个参数直传其一
     */
    @ApiModelProperty(value = "流程节点id")
    private Long lcjdid;

    /**
     * 流程节点状态，0当前节点，1当前节点已完成，与流程节点id 联合使用
     */
    @ApiModelProperty(value = "流程节点id")
    private String jdstate;

    /**
     * 工单转抢维修挂起 1：挂起 ;0：未挂起
     */
    @ApiModelProperty(value = "工单转抢维修挂起 1：挂起 ;0：未挂起")
    private String hangUp;

    @ApiModelProperty(value = "输入框内容")
    private String inputcontent;

    @ApiModelProperty(value = "流程节点名称（中文）")
    private String lcjdName;

    @ApiModelProperty(value = "查询类型：1：代办；2：已办；3：超时；4：驳回；5：终止；6：转派；在工单汇总才使用")
    private String queryState;

}
