package com.tofly.xrtymis.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.Audit;
import com.tofly.xrtymis.entity.Gdglinfo;
import com.tofly.xrtymis.entity.LeakInfo;
import com.tofly.xrtymis.entity.Resultdisp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 工单扩展类
 *
 * @author xqf
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GdglinfoExtendDto extends Gdglinfo {
    @ApiModelProperty(value = "噪音数据绑定id,多个以,分隔")
    private String noises;
    @ApiModelProperty(value = "漏点信息")
    private LeakInfo leakInfo;
    @ApiModelProperty("是否为奖励水量 0否 1是")
    private String isRewardWater;
    @ApiModelProperty("新增奖励水量（m³）")
    private String rewardWaterValue;
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 工单来源，字典编码表，0计划、1自建、2热线
     */
    @ApiModelProperty(value = "工单来源，字典编码表，0计划、1自建、2热线")
    private String orderSource;

    /**
     * 维修类型,关联表TF_YWPN_REPAIRTYPE_D的关键值
     */
    @ApiModelProperty(value = "维修类型,关联表TF_YWPN_REPAIRTYPE_D的关键值")
    private Long typeId;
    @ApiModelProperty(value = "维修人ID,主要负责人")
    private Long respUser;

    @ApiModelProperty(value = "抢维修地址")
    private String address;

    @ApiModelProperty(value = "经度")
    private Double lgtd;

    @ApiModelProperty(value = "维度")
    private Double lttd;


    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "结果处置多人员选择")
    private List<Resultdisp> resultdispList;

    @ApiModelProperty("审批人信息")
    private Audit audit;

}
