package com.tofly.xrtymis.custom.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class LeakDeviceArchiveVo {
    @ApiModelProperty("设备名称")
    private String deviceName;
    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
    @ApiModelProperty(value = "安装位置")
    private String address;
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
    @ApiModelProperty(value = "安装时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date nowTime;
    @ApiModelProperty(value = "负责人")
    private Long principalId;
    @ApiModelProperty(value = "负责人名称")
    private String principalIdName;
    @ApiModelProperty(value = "预警次数")
    private BigDecimal warningNumbers;
    @ApiModelProperty(value = "最后一次上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lostTime;
    @ApiModelProperty(value = "设备状态")
    private Long deviceState;
    @ApiModelProperty(value = "设备状态名称")
    private String deviceStateName;
    @ApiModelProperty(value = "监测状态 0正常.1异常")
    private String monitoringState;
}
