/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtymis.custom.vo.PublicRewardWaterVo;
import com.tofly.xrtymis.entity.LeakInfo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Map;


/**
 * 漏点基本信息表
 *
 * @author admin
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface LeakInfoService extends IService<LeakInfo> {
    /**
     * 修改公众漏点相关信息
     * @param water
     * @param orderId
     */
    void updatePublicLeakInfo(String water,Long orderId,String isReal);

    /**
     * 修改公众奖励水量相关信息
     * @param rewardWaterVolume
     */
    void updatePublicRewardWaterVolume(Long orderId,String rewardWaterVolume);

    /**
     * 公众奖励工单归档 是否成功同步营销状态修改
     * @param orderId
     */
    void updateYxState(Long orderId);

    /**
     * 根据工单id 获取对应奖励水量/openid
     * @param orderId
     * @return
     */
    PublicRewardWaterVo getPublicRewardWaterVolumeOpenId(Long orderId);
}
