package com.tofly.xrtymis.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 审核对象前端返回对象
 * @author BZ-DJJ
 */
@Data
public class AuditInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "审批类型")
    private String auditType;

    @ApiModelProperty(value = "当前审批计划id")
    private Long auditPlanId;

    @ApiModelProperty(value = "审批状态(0未审核,1通过,2未通过,3不可审批)")
    private String auditState;
    @ApiModelProperty(value = "审批状态(0未审核,1通过,2未通过,3不可审批)")
    private String auditStateName;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    @ApiModelProperty(value = "审核意见")
    private String auditNote;

    @ApiModelProperty(value = "审核人ID")
    private Long auditUser;

    @ApiModelProperty(value = "审核人名称")
    private String auditUserName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "审批级别")
    private Integer auditLevel;

}
