/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.comm.Audit;
import com.tofly.xrtymis.custom.dto.JgshAudit;
import com.tofly.xrtymis.custom.vo.CheckhistoryInfoVo;
import com.tofly.xrtymis.custom.vo.CurrentNodeInformationVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 业务工单详情表
 *
 * @author fu
 * @date Fri Mar 19 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDINFO_W", resultMap = "gdglinfoMap")
@KeySequence("TF_YWPN_GDINFO_W")
@ApiModel
public class Gdglinfo extends Model<Gdglinfo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID主键")
    private Long id;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    /**
     * 工单来源
     */
    @ApiModelProperty(value = "工单来源")
    private Long gdly;
    @TableField(exist = false)
    @ApiModelProperty(value = "工单来源数字转化", hidden = true)
    private String gdlyName;

    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;

    @TableField(exist = false)
    @ApiModelProperty(value = "工单类型数字转化", hidden = true)
    private String gdlxName;

    /**
     * 工单细分1
     */
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;
    @TableField(exist = false)
    @ApiModelProperty(value = "工单细分1名称", hidden = true)
    private String gdxf1Name;

    /**
     * 工单细分2
     */
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;
    @TableField(exist = false)
    @ApiModelProperty(value = "工单细分2名称", hidden = true)
    private String gdxf2Name;

    /**
     * 工单描述
     */
    @ApiModelProperty(value = "工单描述")
    private String gdms;


    /**
     * 工单登记文件id
     */
    @ApiModelProperty(value = "工单登记文件id")
    private String gddjFileid;

    /**
     * 认证处置上传文件
     */
    @ApiModelProperty(value = "gddjFiles", hidden = true)
    List<File> gddjFiles;

    /**
     * 紧急程度（0一般、1重要、2非常急）
     */
    @ApiModelProperty(value = "紧急程度（0一般、1重要、2非常急）")
    private Long jjcd;

    @TableField(exist = false)
    @ApiModelProperty(value = "紧急程度", hidden = true)
    private String jjcdName;

    /**
     * 配置业务流程ID
     */
    @ApiModelProperty(value = "配置业务流程ID")
    private Long lcid;


    /**
     * 来电号码
     */
    @ApiModelProperty(value = "来电号码")
    private String ldhm;
    /**
     * 处理部门-工单登记
     */
    @ApiModelProperty(value = "处理部门-工单登记")
    private String slbm;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门数字转化-工单登记", hidden = true)
    private String slbmName;

    /**
     * 处理人员-工单登记
     */
    @ApiModelProperty(value = "处理人员-工单登记")
    private String slry;

    /**
     * 处理人员数字转化-工单登记
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员数字转化-工单登记", hidden = true)
    private String slryName;

    /**
     * 接单时限-工单登记
     */
    @ApiModelProperty(value = "接单时限-工单登记")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jdsx;

    /**
     * 工单登记人员
     */
    @ApiModelProperty(value = "工单登记人员")
    private Long djry;

    /**
     * 登记人员姓名（关联登记人id获取）
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "工单登记人员数字转化", hidden = true)
    private String djryName;

    @ApiModelProperty(value = "登记部门")
    private Long djbm;
    @ApiModelProperty(value = "工单登记部门数字转化", hidden = true)
    @TableField(exist = false)
    private String djryDeptName;

    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date djsj;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String khbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String khxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String khdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    /**
     * 接单状态
     */
    @ApiModelProperty(value = "接单状态。0（未接单），1（接单）")
    private String jdzt;

    /**
     * 工单登记 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）
     */
    @ApiModelProperty(value = "工单登记 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）")
    private Long gddjZt;
    @TableField(exist = false)
    @ApiModelProperty(value = "工单登记 流程状态", hidden = true)
    private String gddjZtName;

    /**
     * 流程节点（1.工单登记，2.认证处置3.认证审核4.认证质检5.结果处置6.结果审核7.工单归档）
     */
    @ApiModelProperty(value = "流程节点（1.工单登记，2.认证处置3.认证审核4.认证质检5.结果处置6.结果审核7.工单归档）")
    private Long lcjd;
    @TableField(exist = false)
    @ApiModelProperty(value = "流程节点", hidden = true)
    private String lcjdName;

    /**
     * 认证文件ID
     */
    @ApiModelProperty(value = "认证文件ID")
    private String rzFileid;

    /**
     * 认证意见
     */
    @ApiModelProperty(value = "认证意见")
    private String rzyj;

    /**
     * 处理部门-认证处置
     */
    @ApiModelProperty(value = "处理部门-认证处置")
    private Long rzbm;

    /**
     * 处理部门-认证处置名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门-认证处置名称")
    private String rzbmName;

    /**
     * 认证处置人员
     */
    @ApiModelProperty(value = "认证处置人员")
    private Long rzry;

    /**
     * 处理人员（数字转化）-认证处置
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员（数字转化）-认证处置", hidden = true)
    private String rzryName;


    /**
     * 处理人员-认证处置
     */
    @ApiModelProperty(value = "处理人员-认证处置")
    private Long rzslry;

    /**
     * 处理人员-认证处置名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员-认证处置名称")
    private String rzslryName;

    /**
     * 认证处置时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "认证处置时间")
    private Date rzsj;

    /**
     * 认证处置时限
     */
    @ApiModelProperty(value = "认证处置时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rzsx;

    /**
     * 认证处置 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）
     */
    @ApiModelProperty(value = "认证处置 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）")
    private Long lczt;
    @TableField(exist = false)
    @ApiModelProperty(value = "认证处置 流程状态", hidden = true)
    private String lcztName;

    /**
     * 认证审核意见
     */
    @ApiModelProperty(value = "认证审核意见")
    private String shyj;

    /**
     * 处理部门-认证审核
     */
    @ApiModelProperty(value = "处理部门-认证审核")
    private Long shbm;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门数字转化-认证审核", hidden = true)
    private String shbmName;

    /**
     * 处理人员-认证审核
     */
    @ApiModelProperty(value = "处理人员-认证审核")
    private Long shslry;

    /**
     * 处理人员-认证审核
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员-认证审核")
    private String shslryName;


    /**
     * 认证审核人员
     */
    @ApiModelProperty(value = "认证审核人员")
    private Long shry;

    /**
     * 认证审核人员数字转化
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "认证审核人员数字转化", hidden = true)
    private String shryName;

    /**
     * 认证审核时间
     */
    @ApiModelProperty(value = "认证审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;

    /**
     * 认证审核时限
     */
    @ApiModelProperty(value = "认证审核时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shsx;

    /**
     * 认证审核 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）
     */
    @ApiModelProperty(value = "认证审核 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）")
    private Long shzt;

    @TableField(exist = false)
    @ApiModelProperty(value = "认证审核 流程状态", hidden = true)
    private String shztName;

    /**
     * 认证质检意见
     */
    @ApiModelProperty(value = "认证质检意见")
    private String zjyj;

    /**
     * 处理部门-认证质检
     */
    @ApiModelProperty(value = "处理部门-认证质检")
    private Long zjbm;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门数字转化-认证质检", hidden = true)
    private String zjbmName;

    /**
     * 处理人员-认证质检
     */
    @ApiModelProperty(value = "处理人员-认证质检")
    private Long zjczry;

    /**
     * 处理人员名称-认证质检
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员名称-认证质检")
    private String zjczryName;
    /**
     * 认证质检人员
     */
    @ApiModelProperty(value = "认证质检人员")
    private Long zjry;

    /**
     * 认证质检人员数字转化
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "认证质检人员数字转化", hidden = true)
    private String zjryName;

    /**
     * 认证质检时间
     */
    @ApiModelProperty(value = "认证质检时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zjsj;

    /**
     * 认证质检时限
     */
    @ApiModelProperty(value = "认证质检时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zjsx;

    /**
     * 认证质检 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）
     */
    @ApiModelProperty(value = "认证质检 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）")
    private Long zjzt;
    @TableField(exist = false)
    @ApiModelProperty(value = "认证质检 流程状态", hidden = true)
    private String zjztName;


    /**
     * 结果处置意见
     */
    @ApiModelProperty(value = "结果处置意见")
    private String czyj;

    /**
     * 处理部门-结果处置
     */
    @ApiModelProperty(value = "处理部门-结果处置")
    private Long czbm;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门数字转化-结果处置", hidden = true)
    private String czbmName;

    /**
     * 处理人员-结果处置
     */
    @ApiModelProperty(value = "处理人员-结果处置")
    private Long jgczry;

    /**
     * 处理人员-结果处置
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员-结果处置")
    private String jgczryName;

    /**
     * 结果处置处理人员
     */
    @ApiModelProperty(value = "结果处置人员")
    private Long czry;

    /**
     * 处理人员数字转化-结果处置
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员数字转化-结果处置", hidden = true)
    private String czryName;


    /**
     * 结果处置时间
     */
    @ApiModelProperty(value = "结果处置时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsj;

    /**
     * 结果处置时限
     */
    @ApiModelProperty(value = "结果处置时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsx;

    @ApiModelProperty(value = "结果处置的文件id")
    private String jgczFileid;


    /**
     * 结果处置 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）
     */
    @ApiModelProperty(value = "结果处置 流程状态（0本环节/1转部门/2驳回/3终止/4驳回）")
    private Long czzt;

    @TableField(exist = false)
    @ApiModelProperty(value = "结果处置 流程状态", hidden = true)
    private String czztName;

    /**
     * 工单回访次数
     */
    @ApiModelProperty(value = "工单回访次数")
    private Integer gdhfCs;


    @ApiModelProperty(value = "工单登记，发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gddjFssj;

    @ApiModelProperty(value = "认证处置，发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rzczFssj;

    @ApiModelProperty(value = "认证审核，发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reshFssj;

    @ApiModelProperty(value = "认证质检，发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rzzjFssj;

    @ApiModelProperty(value = "结果处置，发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jgczFssj;


    @ApiModelProperty(value = "认证处置，超时状态")
    private String rzczCszt;

    @ApiModelProperty(value = "认证审核，超时状态")
    private String reshCszt;

    @ApiModelProperty(value = "认证质检，超时状态")
    private String rzzjCszt;

    @ApiModelProperty(value = "结果处置，超时状态")
    private String jgczCszt;

    @ApiModelProperty(value = "接单，超时状态")
    private String jdCszt;

    @ApiModelProperty(value = "认证处置，超时时间")
    private String rzczCssj;

    //JD_CSZT

//    /**
//     * 认证处置时间
//     */
//    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
//    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
//    @ApiModelProperty(value = "认证节点的认证时间")
//    private Date rzczsj;

    @ApiModelProperty(value = "认证审核，超时时间")
    private String reshCssj;

    @ApiModelProperty(value = "认证质检，超时时间")
    private String rzzjCssj;

    @ApiModelProperty(value = "结果处置，超时时间")
    private String jgczCssj;

    /**
     * 流程状态存放
     */
    @ApiModelProperty(value = "流程状态存放，已完成了的节点")
    private String processDeposit;

    @ApiModelProperty(value = "工单过程节点，到达哪一个节点")
    private String processInfo;

    /**
     * 流程终止原因
     */
    @ApiModelProperty(value = "流程终止原因")
    private String lczzyy;


    /**
     * 认证处置上传文件
     */
    @ApiModelProperty(value = "files", hidden = true)
    List<File> files;

    /**
     * 结果处置文件
     */
    @ApiModelProperty(value = "jgczFile", hidden = true)
    List<File> jgczFile;

    /**
     * 是否有驳回状态 0 无驳回，1有驳回
     */
    @ApiModelProperty(value = "是否有驳回状态 0 无驳回，1有驳回 ")
    private String bhzt;


    /**
     * 是否有驳回状态 0 无驳回，1有驳回
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "是否有驳回状态 0 无驳回，1有驳回 ")
    private String bhztName;

    /**
     * 驳回原因
     */
    @ApiModelProperty(value = "驳回原因")
    private String bhyy;

    /**
     * 是否有转派状态 0 无转派，1有转派
     */
    @ApiModelProperty(value = "是否有转派状态 0 无转派，1有转派")
    private String zpzt;

    /**
     * 是否有转派状态 0 无转派，1有转派
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "是否有转派状态 0 无转派，1有转派")
    private String zpztName;

    /**
     * 转派意见
     */
    @ApiModelProperty(value = "转派意见")
    private String zpyj;

    /**
     * 工单是否是热线类型 1是；0不是；默认0
     */
    @ApiModelProperty(value = "工单是否是热线类型 1是；0不是；默认0")
    private String isRxlx;


    /**
     * 所有的流程接单;用,分割如:1,2,3;1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档
     */
    @ApiModelProperty(value = "所有的流程接单;用,分割如:1,2,3;1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档")
    private String allLcjd;

    /**
     * 审核等级
     */
    @ApiModelProperty(value = "审核等级")
    private String jgshCcjb;


    /**
     * 热线工单质检标识；1：已质检；0：未质检；，默认0
     */
    @ApiModelProperty(value = "热线工单质检标识；1：已质检；0：未质检；，默认0")
    private String isQualityFlag;


    /**
     * 挂起：业务->抢维修
     * 工单是否挂起 1：挂起 ;0：未挂起
     */
    @ApiModelProperty(value = "工单是否挂起 1：挂起 ;0：未挂起;-1被驳回需重新派单;查询未挂起+驳回传入2")
    private String hangUp;


    /**
     * 配置流程相关信息
     */
    private Gdflowconfig gdflowconfig;

    /**
     * 表务模块使用；1：已完成；0未完成（如：出库或者检定）
     */
    @ApiModelProperty(value = "表务模块使用；1：已完成；0未完成（如：出库或者检定）")
    private String isWatermeterStatus;


    @ApiModelProperty(value = "结果审核 - 审核记录", hidden = true)
    private List<CheckhistoryInfoVo> auditHisList;

    @ApiModelProperty(value = "结果审核 - 审批链数据",hidden = true)
    private List<JgshAudit> jgAuditList;


    /**
     * 终止人员；
     */
    @ApiModelProperty(value = "终止人员；")
    private Long zzry;


    /**
     * 终止人员姓名；
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "终止人员姓名；")
    private String zzryName;

    @ApiModelProperty(value = "终止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zzsj;

    /**
     * 工单故障类型；归档后设置
     */
    @ApiModelProperty(value = "工单故障类型；归档后设置")
    private Long gdgzlx;


    /**
     * 工单故障类型名称；归档后设置
     */
    @ApiModelProperty(value = "工单故障类型名称；归档后设置")
    private String gdgzlxName;

    /**
     * 工单故障原因；归档后设置
     */
    @ApiModelProperty(value = "工单故障原因；归档后设置")
    private String gdgzyy;

    /**
     * 故障类型设置人员
     */
    @ApiModelProperty(value = "故障类型设置人员")
    private Long gzszry;
    /**
     * 故障设置人员名称
     */
    @ApiModelProperty(value = "故障设置人员人员名称")
    @TableField(exist = false)
    private String gzszryName;

    /**
     * 申请部门
     */
    @ApiModelProperty(value = "申请部门")
    private Long sqbm;

    /**
     * 申请部门名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "申请部门名称")
    private String sqbmName;

    /**
     * 申请人员
     */
    @ApiModelProperty(value = "申请人员")
    private Long sqry;

    /**
     * 申请人员名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "申请人员名称")
    private String sqryName;

    /**
     * 工单终止状态 1终止，0正常
     */
    @ApiModelProperty(value = "工单终止状态 1终止，0正常")
    private String gdzzzt;

    @TableField(exist = false)
    private String gdzzztName;

    @ApiModelProperty(value = "整个工单时限")
    private Date gdsx;

    @ApiModelProperty(value = "整个工单流程超时标识")
    private String gdcsFlag;

    @TableField(exist = false)
    private String gdcsFlagName;


    @ApiModelProperty(value = "结果处置多人员字符串")
    private String jgczPerson;
//    @ApiModelProperty(value = "结果处置多人员名称")
//    private List<String> jgczPersonList;

    @ApiModelProperty(value = "总购量")
    private Long zgl;

    @ApiModelProperty(value = "抄表员")
    private String cbry;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<Map> resultList;

    @ApiModelProperty(hidden = true, value = "上一环节")
    @TableField(exist = false)
    private String lastLcName;

    @ApiModelProperty(value = "当前节点处理信息")
    @TableField(exist = false)
    private CurrentNodeInformationVo nodeInfo;


    @ApiModelProperty(value = "工单完成归档时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 经度，单位：°
     */
    @ApiModelProperty(value = "经度，单位：°")
    private Double lgtd;
    /**
     * 纬度，单位：°
     */
    @ApiModelProperty(value = "纬度，单位：°")
    private Double lttd;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;
    /**
     * 实际电话
     */
    @ApiModelProperty(value = "实际电话")
    private String sjdh;

    @ApiModelProperty(value = "联系手机")
    private String lxsj;

    @ApiModelProperty(value = "审核人等级")
    private Integer shrdj;

    @ApiModelProperty(value = "拼接工单类型")
    @TableField(exist = false)
    private String typeJoint;
    /** 是否抄表来源的质检工单；1：是（如果是，则需要在质检完成时回调表中的TF_YWPN_READMETERHIS_W表中的字段SHBZ修改为3） */
    @ApiModelProperty(value = "是否抄表来源的质检工单；1：是(如果是，则需要在质检完成时回调表中的TF_YWPN_READMETERHIS_W表中的字段SHBZ修改为3)")
    private String isCb;
    @ApiModelProperty(value = "抄表的唯一标识")
    private String soleSign;

    /**
     * 外部工地ID
     */
    @ApiModelProperty(value = "外部工地ID")
    private String foreignId;

    /**
     * 0网厅
     */
    @ApiModelProperty(value = "0网厅")
    private String foreignType;

    /**
     * 0未回调，1已回调，2不回调
     */
    @ApiModelProperty(value = "0未回调，1已回调，2不回调")
    private String foreignState;
    @ApiModelProperty("是否加急 0否 1是")
    private String isEmergency;
    @TableField(exist = false)
    private String isEmergencyName;
    @ApiModelProperty("是否为漏点 0否 1是")
    private String isLeak;
    @TableField(exist = false)
    private LeakInfo leakInfo;
    @ApiModelProperty(value = "是否为噪音 0否 1是")
    private String isNoise;
    @ApiModelProperty(value = "是否为奖励水量 0否 1是")
    private String isRewardWater;
    @TableField(exist = false)
    @ApiModelProperty(value = "噪音数据绑定id,多个以,分隔")
    private String noises;

    @TableField(exist = false)
    @ApiModelProperty(value = "奖励水量（m³）")
    private String rewardWaterVolume;
}
