/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 类型编码表
 *
 * @author fu
 * @date Sat Mar 20 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDGLTYPEBM_W", resultMap = "gdgltypebmMap")
@KeySequence("TF_YWPN_GDGLTYPEBM_W")
@ApiModel
public class Gdgltypebm extends Model<Gdgltypebm> {
    private static final long serialVersionUID = 1L;

    /**
     * 工单类型编码
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "工单类型编码")
    private Long id;


    /**
     * 工单类型父id,默认值0
     */
    @ApiModelProperty(value = "工单类型父id")
    private Long gdlxId;


    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String gdlxMc;
    /**
     * 有效标志 1启用，0停用
     */
    @ApiModelProperty(value = " 标志 1启用，0停用")
    private String yxbz;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    /**
     * 删除状态 0已删除；1正常
     */
    @ApiModelProperty(value = "删除状态")
    private String statusFlag;

    /**
     * 数据类型；0:业务工单类型;1:归档故障;2:检查项目;3:问题级别;4:整改成效;5:质量缺陷 默认0
     */

    @ApiModelProperty(value = "数据类型；0:业务工单类型;1:归档故障;2:检查项目;3:问题级别;4:整改成效;5:质量缺陷 默认0")
    private String dataType;
    @ApiModelProperty(value = "允许查看类型，格式逗号隔开；989：网厅；990：抄表异常（app）；991：抄表故障")
    private String viewType;

}
