/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * ${comments}
 *
 * @author fcl
 * @date Fri Jun 11 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REDEPLOY_W", resultMap = "redeployMap")
@KeySequence("TF_YWPN_REDEPLOY_W")
@ApiModel
public class Redeploy extends Model<Redeploy> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    /**
     * 受理部门
     */
    @ApiModelProperty(value = "受理部门")
    private Long clbm;
    /**
     * 转派人员
     */
    @ApiModelProperty(value = "转派人员")
    private String zpry;
    /**
     * 转派时间
     */
    @ApiModelProperty(value = "转派时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zpsj;
    /**
     * 转派意见
     */
    @ApiModelProperty(value = "转派意见")
    private String zpyj;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String lcjd;
    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态")
    private String lczt;

    /**
     * 接收人员
     */
    @ApiModelProperty(value = "接收人员")
    private Long jsry;

    /**
     * 接收人员名称
     */
    @ApiModelProperty(value = "接收人员名称",hidden = true)
    private String jsryName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 是否启用禁用 1启用 0禁用
     */
    @ApiModelProperty(value = "是否启用禁用 1启用 0禁用")
    private String statusFlag;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
