/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工单结果处置流程多人员、部门信息表
 *
 * @author wangjieliu
 * @date Sun Nov 28 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RESULTDISP_W", resultMap = "resultdispMap")
@KeySequence("TF_YWPN_RESULTDISP_W")
@ApiModel
public class Resultdisp extends Model<Resultdisp> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
//    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    /**
     * 转入的流程节点
     */
    @ApiModelProperty(value = "转入的流程节点")
    private Long importLcjd;
    @ApiModelProperty(value = "转入结果处置的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date importDate;
    /**
     * 转入的流程节点名称
     */
    @ApiModelProperty(value = "转入的流程节点名称")
    private String lcjdName;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long departId;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String departName;
    /**
     * 人员ID
     */
    @ApiModelProperty(value = "人员ID")
    private Long personId;
    /**
     * 人员名称
     */
    @ApiModelProperty(value = "人员名称")
    private String personName;
    /**
     * 是否汇集人；0：不是；1：是
     */
    @ApiModelProperty(value = "是否汇集人；0：不是；1：是")
    private String isCollect;
    /**
     * 是否处理；0：未处理；1：已处理
     */
    @ApiModelProperty(value = "是否处理；0：未处理；1：已处理")
    private String isFinish;
    /**
     * 结果处置意见
     */
    @ApiModelProperty(value = "结果处置意见")
    private String czyj;
    /**
     * 结果处置：处置时间
     */
    @ApiModelProperty(value = "结果处置：处置时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsj;
    /**
     * 结果处置的文件id
     */
    @ApiModelProperty(value = "结果处置的文件id")
    private String jgczFileid;

    @ApiModelProperty(value = "是否转派；1：是")
    private String isDeploy;

}
