/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 管点信息采集数据表：TF_YWPN_PIPENODE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_PIPENODE_W",resultMap = "tfYwpnPipenodeMap")
@KeySequence("TF_YWPN_PIPENODE_W")
@ApiModel
public class TfYwpnPipenode extends Model<TfYwpnPipenode> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 管点点号
     */
    @ApiModelProperty(value = "管点点号")
    private String sid;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地面高程
     */
    @ApiModelProperty(value = "地面高程")
    private Double groundz;
    /**
     * 特征
     */
    @ApiModelProperty(value = "特征")
    private String aspecttype;
    /**
     * 附属物
     */
    @ApiModelProperty(value = "附属物")
    private String fixturetype;
    /**
     * 井底高程
     */
    @ApiModelProperty(value = "井底高程")
    private Double welldem;
    /**
     * 井底埋深（m）
     */
    @ApiModelProperty(value = "井底埋深（m）")
    private Double wellbottom;
    /**
     * 点符号代码
     */
    @ApiModelProperty(value = "点符号代码")
    private String nodecode;
    /**
     * 图幅号
     */
    @ApiModelProperty(value = "图幅号")
    private String distno;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 埋设年代
     */
    @ApiModelProperty(value = "埋设年代")
    private String buryyear;
    /**
     * 精度级别
     */
    @ApiModelProperty(value = "精度级别")
    private String precisionclass;
    /**
     * 偏心井位
     */
    @ApiModelProperty(value = "偏心井位")
    private String wellbore;
    /**
     * 管点旋转角
     */
    @ApiModelProperty(value = "管点旋转角")
    private Double rotation;
    /**
     * 勘察日期
     */
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date indate;
    /**
     * 所在道路
     */
    @ApiModelProperty(value = "所在道路")
    private String laneway;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 井盖形状
     */
    @ApiModelProperty(value = "井盖形状")
    private String manholetype;
    /**
     * 井盖材质
     */
    @ApiModelProperty(value = "井盖材质")
    private String manholematerial;
    /**
     * 井盖直径
     */
    @ApiModelProperty(value = "井盖直径")
    private Double manholemiameter;
    /**
     * 井盖长（m）
     */
    @ApiModelProperty(value = "井盖长（m）")
    private Double manholelen;
    /**
     * 井盖宽（m）
     */
    @ApiModelProperty(value = "井盖宽（m）")
    private Double manholewidth;
    /**
     * 井室类型
     */
    @ApiModelProperty(value = "井室类型")
    private String welltype;
    /**
     * 井室材质
     */
    @ApiModelProperty(value = "井室材质")
    private String wellmateial;
    /**
     * 井脖深（m）
     */
    @ApiModelProperty(value = "井脖深（m）")
    private Double wellneckdepth;
    /**
     * 井室直径（m）
     */
    @ApiModelProperty(value = "井室直径（m）")
    private Double wellmiameter;
    /**
     * 井室长（m）
     */
    @ApiModelProperty(value = "井室长（m）")
    private Double welllen;
    /**
     * 井室宽（m）
     */
    @ApiModelProperty(value = "井室宽（m）")
    private Double wellwidth;
    /**
     * 井室高（m）
     */
    @ApiModelProperty(value = "井室高（m）")
    private Double wellheight;
    /**
     * 特殊井室码
     */
    @ApiModelProperty(value = "特殊井室码")
    private String wellcode;
    /**
     * 地面设施长（m）
     */
    @ApiModelProperty(value = "地面设施长（m）")
    private Double groundlen;
    /**
     * 地面设施宽（m）
     */
    @ApiModelProperty(value = "地面设施宽（m）")
    private Double groundwidth;
    /**
     * 地面设施高（m）
     */
    @ApiModelProperty(value = "地面设施高（m）")
    private Double groundheight;
    /**
     * 图上点号
     */
    @ApiModelProperty(value = "图上点号")
    private String mapno;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private String areano;
    /**
     * 行政区
     */
    @ApiModelProperty(value = "行政区")
    private String district;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 系统编码
     */
    @ApiModelProperty(value = "系统编码")
    private String objCode;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;
    @ApiModelProperty(hidden = true)
    private List<String> filePath;

}
