/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 水表采集代表点信息采集数据表：TF_YWPN_WATERREP_W
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_WATERREP_W",resultMap = "tfYwpnWaterRepMap")
@KeySequence("TF_YWPN_WATERREP_W")
@ApiModel
public class TfYwpnWaterRep extends Model<TfYwpnWaterRep> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 编号，平台按规则生成：JS+类型编码+年月日（20210513）+4位顺序号
     */
    @ApiModelProperty(value = "编号")
    private String sid;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地面高程
     */
    @ApiModelProperty(value = "地面高程")
    private Double groundz;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date indate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;
    @ApiModelProperty(hidden = true)
    private List<String> filePath;
    /**
     * 是否为总表，1是，0否（默认）
     */
    @ApiModelProperty(value = "是否为总表，1是，0否（默认）")
    private Long issum;
    /**
     * 所在小区名称
     */
    @ApiModelProperty(value = "所在小区名称")
    private String village;

}
