/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 水表信息采集数据表：TF_YWPN _WATERMETER_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_WATERMETER_W",resultMap = "tfYwpnatermeterMap")
@KeySequence("TF_YWPN_WATERMETER_W")
@ApiModel
public class TfYwpnWatermeter extends Model<TfYwpnWatermeter> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sid;
    /**
     * 电子标识编号
     */
    @ApiModelProperty(value = "电子标识编号")
    private String rfid;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String yhbh;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long metertype;
    /**
     * 图幅号
     */
    @ApiModelProperty(value = "图幅号")
    private String distno;
    /**
     * 口径（mm）
     */
    @ApiModelProperty(value = "口径（mm）")
    private String diameter;
    /**
     * 生产厂家
     */
    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private String areano;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地面高程
     */
    @ApiModelProperty(value = "地面高程")
    private Double groundz;
    /**
     * 行政区
     */
    @ApiModelProperty(value = "行政区")
    private String district;
    /**
     * 所在道路
     */
    @ApiModelProperty(value = "所在道路")
    private String laneway;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date indate;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date installdate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;
    @ApiModelProperty(hidden = true)
    private List<String> filePath;
    /**
     * 图层编码
     */
    @ApiModelProperty(value = "图层编码，由平台产生，如：202109011200000000")
    private String gisCode;
    /**
     * 使用状态，0已禁用，1正在使用
     */
    @ApiModelProperty(value = "使用状态，0已禁用，1正在使用")
    private String status;
    /**
     * 关联表TF_YWPN _WATERREP_W的id
     */
    @ApiModelProperty(value = "关联表 TF_YWPN_WATERREP_W 的id")
    private Long repId;

    /**
     * 是否为总表，1是，0否（默认）
     */
    @ApiModelProperty(value = "是否为总表，1是，0否（默认）")
    private Long issum;
    /**
     * 所在小区名称
     */
    @ApiModelProperty(value = "所在小区名称")
    private String village;

}
