/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtymis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtymis.custom.vo.PublicRewardWaterVo;
import com.tofly.xrtymis.entity.LeakInfo;
import org.apache.ibatis.annotations.Param;


import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 漏点基本信息表
 *
 * @author admin
 * @date Mon Mar 21 00:00:00 CST 2022
 */
public interface LeakInfoMapper extends BaseMapper<LeakInfo> {
    /**
     * 修改公众漏点相关信息
     * @param water
     * @param id
     */
    void updatePublicLeakInfo(@Param("water") String water, @Param("orderId") Long id,@Param("isReal")String isReal);

    /**
     * 修改公众奖励水量相关信息
     * @param orderId
     * @param rewardWaterVolume
     */
    void updatePublicRewardWaterVolume(@Param("orderId")Long orderId, @Param("rewardWaterVolume")String rewardWaterVolume);

    /**
     * 公众奖励工单归档 是否成功同步营销状态修改
     * @param orderId
     */
    void updateYxState(@Param("orderId")Long orderId);

    /**
     * 根据工单id 获取对应奖励水量/openid
     * @param orderId
     * @return
     */
    PublicRewardWaterVo getPublicRewardWaterVolumeOpenId(@Param("orderId")Long orderId);
}
