package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 待办任务信息表
 * @TableName TF_YWPN_USERTASK_W
 */
@TableName(value ="TF_YWPN_USERTASK_W")
@KeySequence("TF_YWPN_USERTASK_W")
@Data
public class UsertaskW implements Serializable {
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    /**
     * 名称描述
     */
    private String tknm;

    /**
     * 待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务
     */
    private String tkty;

    /**
     * 待办任务子类，如：1_1管线巡查
     */
    private String tksmty;

    /**
     * 级别：0一般、1紧急
     */
    private String tlevel;

    /**
     * 任务链接表名
     */
    private String tableName;

    /**
     * 链接ID
     */
    private Long tableId;

    /**
     * 路由地址进行跳转
     */
    private String routeIp;

    /**
     * 处理状态：0待完成，1已完成
     */
    private String ishandle;

    /**
     * 处理时间
     */
    private Date handleTime;

    /**
     * 处理人ID
     */
    private Long handleUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 任务开始时间
     */
    private Date startTime;

    /**
     * 任务结束时间
     */
    private Date endTime;

    /**
     * APP路由地址进行跳转
     */
    private String routeAppIp;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}