package com.tofly.scada.entity.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.ScadaReport;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 指标配置
 * @TableName TF_INDEX_ALLOCATION
 */
@TableName(value ="TF_INDEX_ALLOCATION")
@KeySequence("SCADA_HISTORY")
@Data
@EqualsAndHashCode
public class AllocationVo implements Serializable {
    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    /**
     * 所属设备ID
     */
    @TableField(value = "DEVICE_ID")
    private Long deviceId;

    /**
     * 指标类型（1出口,2入口,3加药）
     */
    @TableField(value = "MODEL")
    private String model;

    /**
     * 变量编码
     */
    @TableField(value = "VARIABLE_CODE")
    private String variableCode;

    /**
     * 变量名称
     */
    @TableField(value = "VARIABLE_NAME")
    private String variableName;

    /**
     * 显示名称
     */
    @TableField(value = "DISPLAY_NAME")
    private String displayName;

    /**
     * 单位
     */
    @TableField(value = "UNIT")
    private String unit;

    /**
     * 报警上限
     */
    @TableField(value = "ALARM_UPPER_LIMIT")
    private Long alarmUpperLimit;

    /**
     * 报警下限
     */
    @TableField(value = "ALARM_LOWER_LIMIT")
    private Long alarmLowerLimit;

    /**
     * 是否报警（0未报警,1已报警）
     */
    @TableField(value = "IS_ALARM")
    private String isAlarm;

    /**
     * 排序号
     */
    @TableField(value = "SORT_NUMBER")
    private String sortNumber;

    /**
     * 精度
     */
    @TableField(value = "ACCURACY")
    private Long accuracy;

    /**
     * 设备档案编号
     */
    @TableField(value = "ARCHIVES_CODE")
    private String archivesCode;

    /**
     * 描述
     */
    @TableField(value = "DESCRIBE")
    private String describe;

    /**
     * 
     */
    @TableField(value = "CREATE_USER")
    private Long createUser;

    /**
     * 
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @TableField(value = "TYPE")
    private String type;

    /**
     * scada信息
     */
    private Scada scada;

    /**
     * 绑定报警类型列表
     */
    @ApiModelProperty(value = "绑定报警类型列表",hidden = true)
    @TableField(exist = false)
    private List<ScadaReport> scadaReports;
    @ApiModelProperty(value = "是否展示（0否1是）")
    private Short isDisplay;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDisplayName;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}